local L1UI, E, L, V, P, G = unpack(select(2, ...))

-- [E.mynameRealm] = "Luckyone"

function L1UI:GetPlaterProfile()

	PlaterDB = {
		["profileKeys"] = {
			[E.mynameRealm] = "Luckyone",
		},
		["profiles"] = {
			["Luckyone"] = {
				["script_data"] = {
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --settings (you may need /reload if some configs isn't applied immediately)    \n    --change the nameplate color to this if allowed\n    envTable.CanChangeNameplateColor = scriptTable.config.changeNameplateColor --\n    envTable.NameplateColor = scriptTable.config.nameplateColor\n    envTable.NameplateSizeOffset = scriptTable.config.nameplateSizeOffset --\n    \n    unitFrame.UnitImportantSkullTexture = unitFrame.UnitImportantSkullTexture or unitFrame:CreateTexture(nil, \"background\")\n    \n    unitFrame.UnitImportantSkullTexture:SetTexture([[Interface/AddOns/Plater/media/skullbones_128]])\n    unitFrame.UnitImportantSkullTexture:SetPoint(\"center\", unitFrame.healthBar, \"center\", 0, -5)\n    \n    unitFrame.UnitImportantSkullTexture:SetVertexColor(Plater:ParseColors(scriptTable.config.skullColor))\n    unitFrame.UnitImportantSkullTexture:SetAlpha(scriptTable.config.skullAlpha)\n    unitFrame.UnitImportantSkullTexture:SetScale(scriptTable.config.skullScale)\n    \n    unitFrame.UnitImportantSkullTexture:Hide()\nend\n\n--[=[\n\n154564 - debug\n\nUsing spellIDs for multi-language support\n\n164362 - smily morsel - plaguefall\n168882 - fleeting manifestation - sanguine depths\n170234 - oppressive banner - theater of pain\n168988 - overgrowth - Mists of Tirna Scithe\n170452 - essesnce orb - torghast\n\n\n--]=]",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    Plater.StopDotAnimation(unitFrame.healthBar, envTable.dotAnimation)   \n    \n    --restore the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight)    \n    \n    unitFrame.UnitImportantSkullTexture:Hide()\nend\n\n\n",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    if (envTable.dotAnimation) then\n        Plater.StopDotAnimation(unitFrame.healthBar, envTable.dotAnimation)\n    end\n    \n    envTable.dotAnimation = Plater.PlayDotAnimation(unitFrame.healthBar, 2, scriptTable.config.dotsColor, 3, 4) \n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight + envTable.NameplateSizeOffset)\n    \n    unitFrame.UnitImportantSkullTexture:Show()\nend\n\n\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --check if can change the nameplate color\n    if (envTable.CanChangeNameplateColor) then\n        Plater.SetNameplateColor (unitFrame, envTable.NameplateColor)\n    end\n    \nend\n\n\n\n\n",
						["Time"] = 1616002305,
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["url"] = "",
						["NpcNames"] = {
							"164362", -- [1]
							"168882", -- [2]
							"168988", -- [3]
							"170234", -- [4]
							"165905", -- [5]
							"170452", -- [6]
						},
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --settings (you may need /reload if some configs isn't applied immediately)    \n    --change the nameplate color to this if allowed\n    envTable.CanChangeNameplateColor = scriptTable.config.changeNameplateColor --\n    envTable.NameplateColor = scriptTable.config.nameplateColor\n    envTable.NameplateSizeOffset = scriptTable.config.nameplateSizeOffset --\n    \n    unitFrame.UnitImportantSkullTexture = unitFrame.UnitImportantSkullTexture or unitFrame:CreateTexture(nil, \"background\")\n    \n    unitFrame.UnitImportantSkullTexture:SetTexture([[Interface/AddOns/Plater/media/skullbones_128]])\n    unitFrame.UnitImportantSkullTexture:SetPoint(\"center\", unitFrame.healthBar, \"center\", 0, -5)\n    \n    unitFrame.UnitImportantSkullTexture:SetVertexColor(Plater:ParseColors(scriptTable.config.skullColor))\n    unitFrame.UnitImportantSkullTexture:SetAlpha(scriptTable.config.skullAlpha)\n    unitFrame.UnitImportantSkullTexture:SetScale(scriptTable.config.skullScale)\n    \n    unitFrame.UnitImportantSkullTexture:Hide()\nend\n\n--[=[\n\n154564 - debug\n\nUsing spellIDs for multi-language support\n\n164362 - smily morsel - plaguefall\n168882 - fleeting manifestation - sanguine depths\n170234 - oppressive banner - theater of pain\n168988 - overgrowth - Mists of Tirna Scithe\n170452 - essesnce orb - torghast\n\n\n--]=]",
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    Plater.StopDotAnimation(unitFrame.healthBar, envTable.dotAnimation)   \n    \n    --restore the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight)    \n    \n    unitFrame.UnitImportantSkullTexture:Hide()\nend\n\n\n",
						["Revision"] = 359,
						["semver"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\media\\skullbones_64",
						["Enabled"] = true,
						["Author"] = "Izimode-Azralon",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Highlight a nameplate of an important Add. Add the unit name or NpcID into the trigger box to add more.",
						["version"] = -1,
						["Prio"] = 99,
						["Name"] = "Unit - Important [Plater]",
						["PlaterCore"] = 1,
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --check if can change the nameplate color\n    if (envTable.CanChangeNameplateColor) then\n        Plater.SetNameplateColor (unitFrame, envTable.NameplateColor)\n    end\n    \nend\n\n\n\n\n",
						["SpellIds"] = {
						},
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    if (envTable.dotAnimation) then\n        Plater.StopDotAnimation(unitFrame.healthBar, envTable.dotAnimation)\n    end\n    \n    envTable.dotAnimation = Plater.PlayDotAnimation(unitFrame.healthBar, 2, scriptTable.config.dotsColor, 3, 4) \n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight + envTable.NameplateSizeOffset)\n    \n    unitFrame.UnitImportantSkullTexture:Show()\nend\n\n\n\n\n",
						["Options"] = {
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option4",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Name"] = "Option 6",
								["Value"] = "Enter the npc name or npcId in the \"Add Trigger\" box and hit \"Add\".",
								["Key"] = "option6",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 6,
								["Key"] = "option4",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 4,
								["Name"] = "Change Nameplate Color",
								["Value"] = true,
								["Key"] = "changeNameplateColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "change to true to change the color",
							}, -- [4]
							{
								["Type"] = 1,
								["Name"] = "Nameplate Color",
								["Value"] = {
									1, -- [1]
									0, -- [2]
									0.5254901960784314, -- [3]
									1, -- [4]
								},
								["Key"] = "nameplateColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [5]
							{
								["Type"] = 2,
								["Max"] = 6,
								["Desc"] = "increase the nameplate height by this value",
								["Min"] = 0,
								["Key"] = "nameplateSizeOffset",
								["Value"] = 3,
								["Name"] = "Nameplate Size Offset",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [6]
							{
								["Type"] = 6,
								["Key"] = "option4",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 1,
								["Name"] = "Dot Color",
								["Value"] = {
									1, -- [1]
									0.7137254901960784, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "dotsColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [8]
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option4",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [9]
							{
								["Type"] = 5,
								["Name"] = "Skull Texture",
								["Value"] = "Skull Texture",
								["Key"] = "option10",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [10]
							{
								["Type"] = 1,
								["Name"] = "Skull Color",
								["Value"] = {
									1, -- [1]
									0.4627450980392157, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "skullColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [11]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "",
								["Min"] = 0,
								["Key"] = "skullAlpha",
								["Value"] = 0.2,
								["Fraction"] = true,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Alpha",
							}, -- [12]
							{
								["Type"] = 2,
								["Max"] = 2,
								["Desc"] = "",
								["Min"] = 0.4,
								["Fraction"] = true,
								["Value"] = 0.6,
								["Name"] = "Scale",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Key"] = "skullScale",
							}, -- [13]
						},
					}, -- [1]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --creates a glow around the icon\n    envTable.buffIconGlow = envTable.buffIconGlow or Plater.CreateIconGlow (self, scriptTable.config.glowColor)\n    \nend",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    if (scriptTable.config.glowEnabled) then\n        envTable.buffIconGlow:Hide()\n    end\n    \n    if (scriptTable.config.dotsEnabled) then\n        Plater.StopDotAnimation(self, envTable.dotAnimation)\n    end\n    \n    \nend",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    if (scriptTable.config.glowEnabled) then\n        envTable.buffIconGlow:Show()\n    end\n    \n    if (scriptTable.config.dotsEnabled) then\n        envTable.dotAnimation = Plater.PlayDotAnimation(self, 6, scriptTable.config.dotsColor, 6, 3) \n    end\n    \nend\n\n\n\n\n",
						["ScriptType"] = 1,
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Time"] = 1612553609,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    \n    \n    \nend",
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --creates a glow around the icon\n    envTable.buffIconGlow = envTable.buffIconGlow or Plater.CreateIconGlow (self, scriptTable.config.glowColor)\n    \nend",
						["NpcNames"] = {
						},
						["url"] = "",
						["Enabled"] = true,
						["Revision"] = 608,
						["semver"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_aura",
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    if (scriptTable.config.glowEnabled) then\n        envTable.buffIconGlow:Hide()\n    end\n    \n    if (scriptTable.config.dotsEnabled) then\n        Plater.StopDotAnimation(self, envTable.dotAnimation)\n    end\n    \n    \nend",
						["Author"] = "Tercioo-Sylvanas",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Add the buff name in the trigger box.",
						["version"] = -1,
						["Prio"] = 99,
						["Name"] = "Aura - Buff Alert [Plater]",
						["PlaterCore"] = 1,
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    \n    \n    \nend",
						["SpellIds"] = {
							323149, -- [1]
							324392, -- [2]
							340544, -- [3]
							342189, -- [4]
							333227, -- [5]
						},
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    if (scriptTable.config.glowEnabled) then\n        envTable.buffIconGlow:Show()\n    end\n    \n    if (scriptTable.config.dotsEnabled) then\n        envTable.dotAnimation = Plater.PlayDotAnimation(self, 6, scriptTable.config.dotsColor, 6, 3) \n    end\n    \nend\n\n\n\n\n",
						["Options"] = {
							{
								["Type"] = 6,
								["Key"] = "option1",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Key"] = "option2",
								["Value"] = "Enter the spell name or spellID of the Buff in the Add Trigger box and hit \"Add\".",
								["Name"] = "Option 2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 6,
								["Key"] = "option3",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 4,
								["Key"] = "glowEnabled",
								["Value"] = false,
								["Name"] = "Glow Enabled",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "",
							}, -- [4]
							{
								["Type"] = 1,
								["Key"] = "glowColor",
								["Value"] = {
									0.403921568627451, -- [1]
									0.00392156862745098, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Glow Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [5]
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [6]
							{
								["Type"] = 4,
								["Key"] = "dotsEnabled",
								["Value"] = true,
								["Name"] = "Dots Enabled",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 1,
								["Name"] = "Dots Color",
								["Value"] = {
									1, -- [1]
									0.3215686274509804, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "dotsColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [8]
						},
					}, -- [2]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --create a texture to use for a flash behind the cast bar\n    local backGroundFlashTexture = Plater:CreateImage (self, [[Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Alert-Glow]], self:GetWidth()+40, self:GetHeight()+20, \"background\", {0, 400/512, 0, 170/256})\n    backGroundFlashTexture:SetBlendMode (\"ADD\")\n    backGroundFlashTexture:SetPoint (\"center\", self, \"center\")\n    backGroundFlashTexture:SetVertexColor(Plater:ParseColors(scriptTable.config.flashColor))\n    backGroundFlashTexture:Hide()\n    \n    --create the animation hub to hold the flash animation sequence\n    envTable.BackgroundFlash = envTable.BackgroundFlash or Plater:CreateAnimationHub (backGroundFlashTexture, \n        function()\n            backGroundFlashTexture:Show()\n        end,\n        function()\n            backGroundFlashTexture:Hide()\n        end\n    )\n    \n    --create the flash animation sequence\n    local fadeIn = Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 1, scriptTable.config.flashDuration/2, 0, 1)\n    local fadeOut = Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 2, scriptTable.config.flashDuration/2, 1, 0)\n    \n    --create a camera shake for the nameplate\n    envTable.FrameShake = Plater:CreateFrameShake (unitFrame, scriptTable.config.shakeDuration, scriptTable.config.shakeAmplitude, scriptTable.config.shakeFrequency, false, false, 0, 1, 0.05, 0.1, Plater.GetPoints (unitFrame))\n    \n    --update the config for the flash here so it wont need a /reload\n    fadeIn:SetDuration (scriptTable.config.flashDuration/2)\n    fadeOut:SetDuration (scriptTable.config.flashDuration/2)\n    \n    --update the config for the skake here so it wont need a /reload\n    envTable.FrameShake.OriginalAmplitude = scriptTable.config.shakeAmplitude\n    envTable.FrameShake.OriginalDuration = scriptTable.config.shakeDuration\n    envTable.FrameShake.OriginalFrequency = scriptTable.config.shakeFrequency\nend",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    Plater.StopDotAnimation(unitFrame.castBar, envTable.dotAnimation)    \n    \n    envTable.BackgroundFlash:Stop()\n    \n    unitFrame:StopFrameShake (envTable.FrameShake)    \n    \nend\n\n\n",
						["ScriptType"] = 2,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \nend\n\n\n",
						["Time"] = 1604674264,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar_darkorange",
						["Enabled"] = true,
						["Revision"] = 695,
						["semver"] = "",
						["Author"] = "Bombad�o-Azralon",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Highlight a very important cast applying several effects into the Cast Bar. Add spell in the Add Trigger field.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.dotAnimation = Plater.PlayDotAnimation(unitFrame.castBar, 5, scriptTable.config.dotColor, scriptTable.config.xOffset, scriptTable.config.yOffset)\n    \n    \n    envTable.BackgroundFlash:Play()\n    \n    Plater.FlashNameplateBorder (unitFrame, 0.05)   \n    Plater.FlashNameplateBody (unitFrame, \"\", 0.075)\n    \n    unitFrame:PlayFrameShake (envTable.FrameShake)\n    \n    if (envTable._CanInterrupt) then\n        if (scriptTable.config.useCastbarColor) then\n            self:SetStatusBarColor (Plater:ParseColors (scriptTable.config.castBarColor))\n        end\n    end\n    \nend\n\n\n",
						["SpellIds"] = {
							321247, -- [1]
							334522, -- [2]
							320232, -- [3]
							319962, -- [4]
							325879, -- [5]
							324427, -- [6]
							322999, -- [7]
							325360, -- [8]
							322903, -- [9]
							324103, -- [10]
							333294, -- [11]
							333540, -- [12]
							319521, -- [13]
							326021, -- [14]
							326450, -- [15]
							322711, -- [16]
							329104, -- [17]
							295000, -- [18]
							242391, -- [19]
							320197, -- [20]
							329608, -- [21]
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 6,
								["Name"] = "Option 1",
								["Value"] = 0,
								["Key"] = "option1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Name"] = "Option 2",
								["Value"] = "Plays a big animation when the cast start.",
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 5,
								["Key"] = "option2",
								["Value"] = "Enter the spell name or spellID of the Spell in the Add Trigger box and hit \"Add\".",
								["Name"] = "Option 2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 6,
								["Name"] = "Option 4",
								["Value"] = 0,
								["Key"] = "option4",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [4]
							{
								["Type"] = 5,
								["Name"] = "Flash",
								["Value"] = "Flash:",
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [5]
							{
								["Type"] = 2,
								["Max"] = 1.2,
								["Desc"] = "How long is the flash played when the cast starts.",
								["Min"] = 0.1,
								["Key"] = "flashDuration",
								["Value"] = 0.8,
								["Fraction"] = true,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Flash Duration",
							}, -- [6]
							{
								["Type"] = 1,
								["Name"] = "Flash Color",
								["Value"] = {
									1, -- [1]
									1, -- [2]
									1, -- [3]
									1, -- [4]
								},
								["Key"] = "flashColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Color of the Flash",
							}, -- [7]
							{
								["Type"] = 6,
								["Name"] = "Option 7",
								["Value"] = 0,
								["Key"] = "option7",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [8]
							{
								["Type"] = 5,
								["Key"] = "option2",
								["Value"] = "Shake:",
								["Name"] = "Shake",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [9]
							{
								["Type"] = 2,
								["Max"] = 0.5,
								["Desc"] = "When the cast starts, there's a small shake in the nameplate, this settings controls how long it takes.",
								["Min"] = 0.1,
								["Key"] = "shakeDuration",
								["Value"] = 0.2,
								["Fraction"] = true,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Shake Duration",
							}, -- [10]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "How strong is the shake.",
								["Min"] = 1,
								["Key"] = "shakeAmplitude",
								["Value"] = 5,
								["Fraction"] = false,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Shake Amplitude",
							}, -- [11]
							{
								["Type"] = 2,
								["Max"] = 80,
								["Desc"] = "How fast the shake moves.",
								["Min"] = 1,
								["Key"] = "shakeFrequency",
								["Value"] = 40,
								["Fraction"] = false,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Shake Frequency",
							}, -- [12]
							{
								["Type"] = 6,
								["Name"] = "Option 13",
								["Value"] = 0,
								["Key"] = "option13",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [13]
							{
								["Type"] = 5,
								["Name"] = "Dot Animation",
								["Value"] = "Dot Animation:",
								["Key"] = "option14",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [14]
							{
								["Type"] = 1,
								["Name"] = "Dot Color",
								["Value"] = {
									0.5647058823529412, -- [1]
									0.5647058823529412, -- [2]
									0.5647058823529412, -- [3]
									1, -- [4]
								},
								["Key"] = "dotColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Adjust the color of the dots around the nameplate",
							}, -- [15]
							{
								["Type"] = 2,
								["Max"] = 20,
								["Desc"] = "Adjust the width of the dots to better fit in your nameplate.",
								["Min"] = -10,
								["Key"] = "xOffset",
								["Value"] = 8,
								["Name"] = "Dot X Offset",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [16]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "Adjust the height of the dots to better fit in your nameplate.",
								["Min"] = -10,
								["Fraction"] = false,
								["Value"] = 3,
								["Key"] = "yOffset",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Dot Y Offset",
							}, -- [17]
							{
								["Type"] = 6,
								["Name"] = "blank",
								["Value"] = 0,
								["Key"] = "option18",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [18]
							{
								["Type"] = 6,
								["Key"] = "option18",
								["Value"] = 0,
								["Name"] = "blank",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [19]
							{
								["Type"] = 6,
								["Key"] = "option18",
								["Value"] = 0,
								["Name"] = "blank",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [20]
							{
								["Type"] = 6,
								["Name"] = "blank",
								["Value"] = 0,
								["Key"] = "option18",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [21]
							{
								["Type"] = 6,
								["Name"] = "blank",
								["Value"] = 0,
								["Key"] = "option18",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [22]
							{
								["Type"] = 6,
								["Key"] = "option18",
								["Value"] = 0,
								["Name"] = "blank",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [23]
							{
								["Type"] = 5,
								["Name"] = "Option 19",
								["Value"] = "Cast Bar",
								["Key"] = "option19",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [24]
							{
								["Type"] = 4,
								["Name"] = "Use Cast Bar Color",
								["Value"] = true,
								["Key"] = "useCastbarColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "Use cast bar color.",
							}, -- [25]
							{
								["Type"] = 1,
								["Name"] = "Cast Bar Color",
								["Value"] = {
									0.4117647058823529, -- [1]
									1, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "castBarColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Cast bar color.",
							}, -- [26]
						},
						["version"] = -1,
						["Name"] = "Cast - Very Important [Plater]",
						["NpcNames"] = {
						},
					}, -- [3]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --settings\n    envTable.NameplateSizeOffset = scriptTable.config.castBarHeight\n    envTable.ShowArrow = scriptTable.config.showArrow\n    envTable.ArrowAlpha = scriptTable.config.arrowAlpha\n    envTable.HealthBarColor = scriptTable.config.healthBarColor\n    \n    --creates the spark to show the cast progress inside the health bar\n    envTable.overlaySpark = envTable.overlaySpark or Plater:CreateImage (unitFrame.healthBar)\n    envTable.overlaySpark:SetBlendMode (\"ADD\")\n    envTable.overlaySpark.width = 16\n    envTable.overlaySpark.height = 36\n    envTable.overlaySpark.alpha = .9\n    envTable.overlaySpark.texture = [[Interface\\AddOns\\Plater\\images\\spark3]]\n    \n    envTable.topArrow = envTable.topArrow or Plater:CreateImage (unitFrame.healthBar)\n    envTable.topArrow:SetBlendMode (\"ADD\")\n    envTable.topArrow.width = scriptTable.config.arrowWidth\n    envTable.topArrow.height = scriptTable.config.arrowHeight\n    envTable.topArrow.alpha = envTable.ArrowAlpha\n    envTable.topArrow.texture = [[Interface\\BUTTONS\\Arrow-Down-Up]]\n    \n    --scale animation\n    envTable.smallScaleAnimation = envTable.smallScaleAnimation or Plater:CreateAnimationHub (unitFrame.healthBar)\n    Plater:CreateAnimation (envTable.smallScaleAnimation, \"SCALE\", 1, 0.075, 1, 1, 1.08, 1.08)\n    Plater:CreateAnimation (envTable.smallScaleAnimation, \"SCALE\", 2, 0.075, 1, 1, 0.95, 0.95)    \n    --envTable.smallScaleAnimation:Play() --envTable.smallScaleAnimation:Stop()\n    \nend\n\n\n\n\n\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    Plater.StopDotAnimation(unitFrame.healthBar, envTable.dotAnimation)\n    \n    envTable.overlaySpark:Hide()\n    envTable.topArrow:Hide()\n    \n    Plater.RefreshNameplateColor (unitFrame)\n    \n    envTable.smallScaleAnimation:Stop()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight)\nend\n\n\n",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.overlaySpark:Show()\n    \n    if (envTable.ShowArrow) then\n        envTable.topArrow:Show()\n    end\n    \n    Plater.FlashNameplateBorder (unitFrame, 0.05)   \n    Plater.FlashNameplateBody (unitFrame, \"\", 0.075)\n    \n    envTable.smallScaleAnimation:Play()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight + envTable.NameplateSizeOffset)\n    \n    envTable.overlaySpark.height = nameplateHeight + 5\n    \n    envTable.dotAnimation = Plater.PlayDotAnimation(unitFrame.healthBar, 2, scriptTable.config.dotColor, scriptTable.config.xOffset, scriptTable.config.yOffset)\n    \n    self:SetStatusBarColor (Plater:ParseColors (scriptTable.config.castBarColor))\nend\n\n\n\n\n\n\n",
						["ScriptType"] = 2,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --update the percent\n    envTable.overlaySpark:SetPoint (\"left\", unitFrame.healthBar:GetWidth() * (envTable._CastPercent / 100)-9, 0)\n    \n    envTable.topArrow:SetPoint (\"bottomleft\", unitFrame.healthBar, \"topleft\", unitFrame.healthBar:GetWidth() * (envTable._CastPercent / 100) - 4, 2 )\n    \n    --forces the script to update on a 60Hz base\n    self.ThrottleUpdate = 0\n    \n\nend\n\n\n",
						["Time"] = 1614271003,
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["url"] = "",
						["NpcNames"] = {
						},
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --settings\n    envTable.NameplateSizeOffset = scriptTable.config.castBarHeight\n    envTable.ShowArrow = scriptTable.config.showArrow\n    envTable.ArrowAlpha = scriptTable.config.arrowAlpha\n    envTable.HealthBarColor = scriptTable.config.healthBarColor\n    \n    --creates the spark to show the cast progress inside the health bar\n    envTable.overlaySpark = envTable.overlaySpark or Plater:CreateImage (unitFrame.healthBar)\n    envTable.overlaySpark:SetBlendMode (\"ADD\")\n    envTable.overlaySpark.width = 16\n    envTable.overlaySpark.height = 36\n    envTable.overlaySpark.alpha = .9\n    envTable.overlaySpark.texture = [[Interface\\AddOns\\Plater\\images\\spark3]]\n    \n    envTable.topArrow = envTable.topArrow or Plater:CreateImage (unitFrame.healthBar)\n    envTable.topArrow:SetBlendMode (\"ADD\")\n    envTable.topArrow.width = scriptTable.config.arrowWidth\n    envTable.topArrow.height = scriptTable.config.arrowHeight\n    envTable.topArrow.alpha = envTable.ArrowAlpha\n    envTable.topArrow.texture = [[Interface\\BUTTONS\\Arrow-Down-Up]]\n    \n    --scale animation\n    envTable.smallScaleAnimation = envTable.smallScaleAnimation or Plater:CreateAnimationHub (unitFrame.healthBar)\n    Plater:CreateAnimation (envTable.smallScaleAnimation, \"SCALE\", 1, 0.075, 1, 1, 1.08, 1.08)\n    Plater:CreateAnimation (envTable.smallScaleAnimation, \"SCALE\", 2, 0.075, 1, 1, 0.95, 0.95)    \n    --envTable.smallScaleAnimation:Play() --envTable.smallScaleAnimation:Stop()\n    \nend\n\n\n\n\n\n\n\n",
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    Plater.StopDotAnimation(unitFrame.healthBar, envTable.dotAnimation)\n    \n    envTable.overlaySpark:Hide()\n    envTable.topArrow:Hide()\n    \n    Plater.RefreshNameplateColor (unitFrame)\n    \n    envTable.smallScaleAnimation:Stop()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight)\nend\n\n\n",
						["Revision"] = 464,
						["semver"] = "",
						["Icon"] = 2175503,
						["Enabled"] = true,
						["Author"] = "Bombad�o-Azralon",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Apply several animations when the explosion orb cast starts on a Mythic Dungeon with Explosion Affix",
						["version"] = -1,
						["Prio"] = 99,
						["Name"] = "Explosion Affix M+ [Plater]",
						["PlaterCore"] = 1,
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --update the percent\n    envTable.overlaySpark:SetPoint (\"left\", unitFrame.healthBar:GetWidth() * (envTable._CastPercent / 100)-9, 0)\n    \n    envTable.topArrow:SetPoint (\"bottomleft\", unitFrame.healthBar, \"topleft\", unitFrame.healthBar:GetWidth() * (envTable._CastPercent / 100) - 4, 2 )\n    \n    --forces the script to update on a 60Hz base\n    self.ThrottleUpdate = 0\n    \n\nend\n\n\n",
						["SpellIds"] = {
							240446, -- [1]
						},
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.overlaySpark:Show()\n    \n    if (envTable.ShowArrow) then\n        envTable.topArrow:Show()\n    end\n    \n    Plater.FlashNameplateBorder (unitFrame, 0.05)   \n    Plater.FlashNameplateBody (unitFrame, \"\", 0.075)\n    \n    envTable.smallScaleAnimation:Play()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight + envTable.NameplateSizeOffset)\n    \n    envTable.overlaySpark.height = nameplateHeight + 5\n    \n    envTable.dotAnimation = Plater.PlayDotAnimation(unitFrame.healthBar, 2, scriptTable.config.dotColor, scriptTable.config.xOffset, scriptTable.config.yOffset)\n    \n    self:SetStatusBarColor (Plater:ParseColors (scriptTable.config.castBarColor))\nend\n\n\n\n\n\n\n",
						["Options"] = {
							{
								["Type"] = 6,
								["Name"] = "Option 1",
								["Value"] = 0,
								["Key"] = "option1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Name"] = "Option 2",
								["Value"] = "Plays a special animation showing the explosion time.",
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 6,
								["Name"] = "Option 3",
								["Value"] = 0,
								["Key"] = "option3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 2,
								["Max"] = 6,
								["Desc"] = "Increases the cast bar height by this value",
								["Min"] = 0,
								["Key"] = "castBarHeight",
								["Value"] = 3,
								["Name"] = "Cast Bar Height Mod",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [4]
							{
								["Type"] = 1,
								["Name"] = "Cast Bar Color",
								["Value"] = {
									1, -- [1]
									0.5843137254901961, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "castBarColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Changes the cast bar color to this one.",
							}, -- [5]
							{
								["Type"] = 6,
								["Name"] = "Option 7",
								["Value"] = 0,
								["Key"] = "option7",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [6]
							{
								["Type"] = 5,
								["Name"] = "Arrow:",
								["Value"] = "Arrow:",
								["Key"] = "option6",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 4,
								["Name"] = "Show Arrow",
								["Value"] = true,
								["Key"] = "showArrow",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "Show an arrow above the nameplate showing the cast bar progress.",
							}, -- [8]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "Arrow alpha.",
								["Min"] = 0,
								["Key"] = "arrowAlpha",
								["Value"] = 0.5,
								["Name"] = "Arrow Alpha",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = true,
							}, -- [9]
							{
								["Type"] = 2,
								["Max"] = 12,
								["Desc"] = "Arrow Width.",
								["Min"] = 4,
								["Fraction"] = false,
								["Value"] = 8,
								["Key"] = "arrowWidth",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Arrow Width",
							}, -- [10]
							{
								["Type"] = 2,
								["Max"] = 12,
								["Desc"] = "Arrow Height.",
								["Min"] = 4,
								["Key"] = "arrowHeight",
								["Value"] = 8,
								["Name"] = "Arrow Height",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [11]
							{
								["Type"] = 6,
								["Name"] = "Option 13",
								["Value"] = 0,
								["Key"] = "option13",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [12]
							{
								["Type"] = 5,
								["Name"] = "Dot Animation:",
								["Value"] = "Dot Animation:",
								["Key"] = "option12",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [13]
							{
								["Type"] = 1,
								["Name"] = "Dot Color",
								["Value"] = {
									1, -- [1]
									0.615686274509804, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "dotColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Adjust the color of the dot animation.",
							}, -- [14]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "Dot X Offset",
								["Min"] = -10,
								["Key"] = "xOffset",
								["Value"] = 4,
								["Fraction"] = false,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Dot X Offset",
							}, -- [15]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "Dot Y Offset",
								["Min"] = -10,
								["Fraction"] = false,
								["Value"] = 3,
								["Name"] = "Dot Y Offset",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Key"] = "yOffset",
							}, -- [16]
						},
					}, -- [4]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --creates a glow around the icon\n    envTable.buffIconGlow = envTable.buffIconGlow or Plater.CreateIconGlow (self, scriptTable.config.glowColor)\n    \nend\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    if (scriptTable.config.glowEnabled) then\n        envTable.buffIconGlow:Hide()\n    end\n    \n    if (scriptTable.config.dotsEnabled) then\n        Plater.StopDotAnimation(self, envTable.dotAnimation)\n    end\n    \n    \nend\n\n\n",
						["ScriptType"] = 1,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
						["Time"] = 1604454032,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_aura",
						["Enabled"] = true,
						["Revision"] = 351,
						["semver"] = "",
						["Author"] = "Tercioo-Sylvanas",
						["Desc"] = "Add the debuff name in the trigger box.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    if (scriptTable.config.glowEnabled) then\n        envTable.buffIconGlow:Show()\n    end\n    \n    if (scriptTable.config.dotsEnabled) then\n        envTable.dotAnimation = Plater.PlayDotAnimation(self, 6, scriptTable.config.dotsColor, 6, 3) \n    end\nend\n\n\n",
						["SpellIds"] = {
							337220, -- [1]
							337253, -- [2]
							337251, -- [3]
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Name"] = "Option 2",
								["Value"] = "Enter the spell name or spellID of the Buff in the Add Trigger box and hit \"Add\".",
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 4,
								["Name"] = "Glow Enabled",
								["Value"] = false,
								["Key"] = "glowEnabled",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "",
							}, -- [4]
							{
								["Type"] = 1,
								["Name"] = "Glow Color",
								["Value"] = {
									0.403921568627451, -- [1]
									0.00392156862745098, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "glowColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [5]
							{
								["Type"] = 6,
								["Key"] = "option3",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [6]
							{
								["Type"] = 4,
								["Name"] = "Dots Enabled",
								["Value"] = true,
								["Key"] = "dotsEnabled",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 1,
								["Key"] = "dotsColor",
								["Value"] = {
									1, -- [1]
									0.3215686274509804, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Dots Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [8]
						},
						["version"] = -1,
						["Name"] = "Aura - Debuff Alert [Plater]",
						["NpcNames"] = {
						},
					}, -- [5]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --settings\n    envTable.NameplateSizeOffset = scriptTable.config.castBarHeight\n    envTable.ShowArrow = scriptTable.config.showArrow\n    envTable.ArrowAlpha = scriptTable.config.arrowAlpha\n    envTable.HealthBarColor = scriptTable.config.healthBarColor\n    \n    --creates the spark to show the cast progress inside the health bar\n    envTable.overlaySpark = envTable.overlaySpark or Plater:CreateImage (unitFrame.healthBar)\n    envTable.overlaySpark:SetBlendMode (\"ADD\")\n    envTable.overlaySpark.width = 16\n    envTable.overlaySpark.height = 36\n    envTable.overlaySpark.alpha = .9\n    envTable.overlaySpark.texture = [[Interface\\AddOns\\Plater\\images\\spark3]]\n    \n    envTable.topArrow = envTable.topArrow or Plater:CreateImage (unitFrame.healthBar)\n    envTable.topArrow:SetBlendMode (\"ADD\")\n    envTable.topArrow.width = scriptTable.config.arrowWidth\n    envTable.topArrow.height = scriptTable.config.arrowHeight\n    envTable.topArrow.alpha = envTable.ArrowAlpha\n    envTable.topArrow.texture = [[Interface\\BUTTONS\\Arrow-Down-Up]]\n    \n    --scale animation\n    envTable.smallScaleAnimation = envTable.smallScaleAnimation or Plater:CreateAnimationHub (unitFrame.healthBar)\n    Plater:CreateAnimation (envTable.smallScaleAnimation, \"SCALE\", 1, 0.075, 1, 1, 1.08, 1.08)\n    Plater:CreateAnimation (envTable.smallScaleAnimation, \"SCALE\", 2, 0.075, 1, 1, 0.95, 0.95)    \n    --envTable.smallScaleAnimation:Play() --envTable.smallScaleAnimation:Stop()\n    \n    --create a camera shake for the nameplate\n    envTable.FrameShake = Plater:CreateFrameShake (unitFrame, scriptTable.config.shakeDuration, scriptTable.config.shakeAmplitude, scriptTable.config.shakeFrequency, false, false, 0, 1, 0.05, 0.1, Plater.GetPoints (unitFrame))    \n    \n    --update the config for the skake here so it wont need a /reload\n    envTable.FrameShake.OriginalAmplitude = scriptTable.config.shakeAmplitude\n    envTable.FrameShake.OriginalDuration = scriptTable.config.shakeDuration\n    envTable.FrameShake.OriginalFrequency = scriptTable.config.shakeFrequency\nend\n\n\n\n\n\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    Plater.StopDotAnimation(unitFrame.healthBar, envTable.dotAnimation)\n    \n    envTable.overlaySpark:Hide()\n    envTable.topArrow:Hide()\n    \n    Plater.RefreshNameplateColor (unitFrame)\n    \n    envTable.smallScaleAnimation:Stop()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight)\nend\n\n\n",
						["ScriptType"] = 2,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --update the percent\n    envTable.overlaySpark:SetPoint (\"left\", unitFrame.healthBar:GetWidth() * (envTable._CastPercent / 100)-9, 0)\n    \n    envTable.topArrow:SetPoint (\"bottomleft\", unitFrame.healthBar, \"topleft\", unitFrame.healthBar:GetWidth() * (envTable._CastPercent / 100) - 4, 2 )\n    \n    --forces the script to update on a 60Hz base\n    self.ThrottleUpdate = 0.016\n    \n    --update the health bar color coloring from yellow to red\n    --Plater.SetNameplateColor (unitFrame, max (envTable._CastPercent/100, .66), abs (envTable._CastPercent/100 - 1), 0, 1)\n    \n    Plater.SetNameplateColor (unitFrame, envTable.HealthBarColor)\nend\n\n\n",
						["Time"] = 1604617977,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar_red",
						["Enabled"] = true,
						["Revision"] = 513,
						["semver"] = "",
						["Author"] = "Bombad�o-Azralon",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Used on casts that make the mob explode or transform if the cast passes.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.overlaySpark:Show()\n    \n    if (envTable.ShowArrow) then\n        envTable.topArrow:Show()\n    end\n    \n    Plater.FlashNameplateBorder (unitFrame, 0.05)   \n    Plater.FlashNameplateBody (unitFrame, \"\", 0.075)\n    \n    envTable.smallScaleAnimation:Play()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight + envTable.NameplateSizeOffset)\n    \n    envTable.overlaySpark.height = nameplateHeight + 5\n    \n    envTable.dotAnimation = Plater.PlayDotAnimation(unitFrame.healthBar, 2, scriptTable.config.dotColor, scriptTable.config.xOffset, scriptTable.config.yOffset)\n    \n    \nend",
						["SpellIds"] = {
							332329, -- [1]
							320103, -- [2]
							321406, -- [3]
							335817, -- [4]
							321061, -- [5]
							320141, -- [6]
							326171, -- [7]
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 6,
								["Key"] = "option1",
								["Value"] = 0,
								["Name"] = "Option 1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Key"] = "option2",
								["Value"] = "Plays a special animation showing the explosion time.",
								["Name"] = "Option 2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 6,
								["Key"] = "option3",
								["Value"] = 0,
								["Name"] = "Option 3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 2,
								["Max"] = 6,
								["Desc"] = "Increases the health bar height by this value",
								["Min"] = 0,
								["Name"] = "Health Bar Height Mod",
								["Value"] = 3,
								["Key"] = "castBarHeight",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [4]
							{
								["Type"] = 1,
								["Key"] = "healthBarColor",
								["Value"] = {
									1, -- [1]
									0.5843137254901961, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Health Bar Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Changes the health bar color to this one.",
							}, -- [5]
							{
								["Type"] = 6,
								["Key"] = "option7",
								["Value"] = 0,
								["Name"] = "Option 7",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [6]
							{
								["Type"] = 5,
								["Key"] = "option6",
								["Value"] = "Arrow:",
								["Name"] = "Arrow:",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 4,
								["Key"] = "showArrow",
								["Value"] = true,
								["Name"] = "Show Arrow",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "Show an arrow above the nameplate showing the cast bar progress.",
							}, -- [8]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "Arrow alpha.",
								["Min"] = 0,
								["Name"] = "Arrow Alpha",
								["Value"] = 0.5,
								["Key"] = "arrowAlpha",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = true,
							}, -- [9]
							{
								["Type"] = 2,
								["Max"] = 12,
								["Desc"] = "Arrow Width.",
								["Min"] = 4,
								["Key"] = "arrowWidth",
								["Value"] = 8,
								["Fraction"] = false,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Arrow Width",
							}, -- [10]
							{
								["Type"] = 2,
								["Max"] = 12,
								["Desc"] = "Arrow Height.",
								["Min"] = 4,
								["Name"] = "Arrow Height",
								["Value"] = 8,
								["Key"] = "arrowHeight",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [11]
							{
								["Type"] = 6,
								["Key"] = "option13",
								["Value"] = 0,
								["Name"] = "Option 13",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [12]
							{
								["Type"] = 5,
								["Key"] = "option12",
								["Value"] = "Dot Animation:",
								["Name"] = "Dot Animation:",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [13]
							{
								["Type"] = 1,
								["Key"] = "dotColor",
								["Value"] = {
									1, -- [1]
									0.615686274509804, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Dot Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Adjust the color of the dot animation.",
							}, -- [14]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "Dot X Offset",
								["Min"] = -10,
								["Fraction"] = false,
								["Value"] = 4,
								["Key"] = "xOffset",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Dot X Offset",
							}, -- [15]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "Dot Y Offset",
								["Min"] = -10,
								["Name"] = "Dot Y Offset",
								["Value"] = 3,
								["Fraction"] = false,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Key"] = "yOffset",
							}, -- [16]
						},
						["version"] = -1,
						["Name"] = "Cast - Ultra Important [P]",
						["NpcNames"] = {
						},
					}, -- [6]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --castbar color (when can be interrupted)\n    envTable.CastbarColor = scriptTable.config.castbarColor\n    \n    --flash duration\n    local CONFIG_BACKGROUND_FLASH_DURATION = scriptTable.config.flashDuration\n    \n    --add this value to the cast bar height\n    envTable.CastBarHeightAdd = scriptTable.config.castBarHeight\n    \n    --create a fast flash above the cast bar\n    envTable.FullBarFlash = envTable.FullBarFlash or Plater.CreateFlash (self, 0.05, 1, \"white\")\n    \n    --create a camera shake for the nameplate\n    envTable.FrameShake = Plater:CreateFrameShake (unitFrame, scriptTable.config.shakeDuration, scriptTable.config.shakeAmplitude, scriptTable.config.shakeFrequency, false, false, 0, 1, 0.05, 0.1, Plater.GetPoints (unitFrame))\n    \n    --create a texture to use for a flash behind the cast bar\n    local backGroundFlashTexture = Plater:CreateImage (self, [[Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Alert-Glow]], self:GetWidth()+60, self:GetHeight()+50, \"background\", {0, 400/512, 0, 170/256})\n    backGroundFlashTexture:SetBlendMode (\"ADD\")\n    backGroundFlashTexture:SetPoint (\"center\", self, \"center\")\n    backGroundFlashTexture:Hide()\n    \n    --create the animation hub to hold the flash animation sequence\n    envTable.BackgroundFlash = envTable.BackgroundFlash or Plater:CreateAnimationHub (backGroundFlashTexture, \n        function()\n            backGroundFlashTexture:Show()\n        end,\n        function()\n            backGroundFlashTexture:Hide()\n        end\n    )\n    \n    --create the flash animation sequence\n    envTable.BackgroundFlash.fadeIn = envTable.BackgroundFlash.fadeIn or Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 1, CONFIG_BACKGROUND_FLASH_DURATION/2, 0, .75)\n    envTable.BackgroundFlash.fadeIn:SetDuration(CONFIG_BACKGROUND_FLASH_DURATION/2)\n    \n    envTable.BackgroundFlash.fadeOut = envTable.BackgroundFlash.fadeOut or Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 2, CONFIG_BACKGROUND_FLASH_DURATION/2, 1, 0)    \n    envTable.BackgroundFlash.fadeOut:SetDuration(CONFIG_BACKGROUND_FLASH_DURATION/2)\n    \n    --envTable.BackgroundFlash:Play() --envTable.BackgroundFlash:Stop()    \n    \n    \n    \n    \n    \nend\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --don't execute on battlegrounds and arenas\n    if (Plater.ZoneInstanceType == \"arena\" or Plater.ZoneInstanceType == \"pvp\" or Plater.ZoneInstanceType == \"none\") then\n        return\n    end    \n    \n    unitFrame.castBar:SetHeight (envTable._DefaultHeight)\n    \n    --stop the camera shake\n    unitFrame:StopFrameShake (envTable.FrameShake)\n    \n    envTable.FullBarFlash:Stop()\n    envTable.BackgroundFlash:Stop()\n    \n    unitFrame.castBar.Spark:SetHeight(unitFrame.castBar:GetHeight())\n    \nend\n\n\n\n\n\n",
						["ScriptType"] = 2,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \nend\n\n\n",
						["Time"] = 1604696442,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar_orange",
						["Enabled"] = true,
						["Revision"] = 970,
						["semver"] = "",
						["Author"] = "Tercioo-Sylvanas",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend",
						["Desc"] = "Flash, Bounce and Red Color the CastBar border when when an important cast is happening. Add spell in the Add Trigger field.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --don't execute on battlegrounds and arenas\n    if (Plater.ZoneInstanceType == \"arena\" or Plater.ZoneInstanceType == \"pvp\" or Plater.ZoneInstanceType == \"none\") then\n        return\n    end\n    \n    --play flash animations\n    envTable.FullBarFlash:Play()\n    \n    --envTable.currentHeight = unitFrame.castBar:GetHeight()\n    \n    --restoring the default size (not required since it already restore in the hide script)\n    if (envTable.OriginalHeight) then\n        self:SetHeight (envTable.OriginalHeight)\n    end\n    \n    --increase the cast bar size\n    local height = self:GetHeight()\n    envTable.OriginalHeight = height\n    \n    self:SetHeight (height + envTable.CastBarHeightAdd)\n    \n    Plater.SetCastBarBorderColor (self, 1, .2, .2, 0.4)\n    \n    unitFrame:PlayFrameShake (envTable.FrameShake)\n    \n    --set the color of the cast bar to dark orange (only if can be interrupted)\n    --Plater auto set this color to default when a new cast starts, no need to reset this value at OnHide.    \n    if (envTable._CanInterrupt) then\n        if (scriptTable.config.useCastbarColor) then\n            self:SetStatusBarColor (Plater:ParseColors (envTable.CastbarColor))\n        end\n    end\n    \n    envTable.BackgroundFlash:Play()\n    \n    unitFrame.castBar.Spark:SetHeight(unitFrame.castBar:GetHeight())\n    \nend\n\n\n\n\n\n\n\n\n",
						["SpellIds"] = {
							338353, -- [1]
							334748, -- [2]
							334749, -- [3]
							320784, -- [4]
							341352, -- [5]
							341520, -- [6]
							341522, -- [7]
							336005, -- [8]
							339777, -- [9]
							331933, -- [10]
							326617, -- [11]
							324914, -- [12]
							324776, -- [13]
							326046, -- [14]
							340634, -- [15]
							319070, -- [16]
							328295, -- [17]
							317936, -- [18]
							327413, -- [19]
							319654, -- [20]
							323821, -- [21]
							320772, -- [22]
							324293, -- [23]
							330562, -- [24]
							330868, -- [25]
							341902, -- [26]
							342139, -- [27]
							342675, -- [28]
							323190, -- [29]
							332836, -- [30]
							327648, -- [31]
							328217, -- [32]
							322938, -- [33]
							340544, -- [34]
							325876, -- [35]
							325700, -- [36]
							323552, -- [37]
							332666, -- [38]
							332612, -- [39]
							332706, -- [40]
							340026, -- [41]
							294171, -- [42]
							292910, -- [43]
							294165, -- [44]
							338871, -- [45]
							330813, -- [46]
							335694, -- [47]
							327461, -- [48]
							329787, -- [49]
							304946, -- [50]
							15245, -- [51]
							276754, -- [52]
							304831, -- [53]
							277036, -- [54]
							320657, -- [55]
							294362, -- [56]
							270248, -- [57]
							292926, -- [58]
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 6,
								["Key"] = "option1",
								["Value"] = 0,
								["Name"] = "Blank Line",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Key"] = "option2",
								["Value"] = "Produces a notable effect in the cast bar when a spell from the 'Triggers' starts to cast.",
								["Name"] = "Option 2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 5,
								["Key"] = "option3",
								["Value"] = "Enter the spell name or spellID of the Spell in the Add Trigger box and hit \"Add\".",
								["Name"] = "Option 3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 6,
								["Key"] = "option4",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [4]
							{
								["Type"] = 4,
								["Key"] = "useCastbarColor",
								["Value"] = true,
								["Name"] = "Cast Bar Color Enabled",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "When enabled, changes the cast bar color,",
							}, -- [5]
							{
								["Type"] = 1,
								["Key"] = "castbarColor",
								["Value"] = {
									1, -- [1]
									0.4313725490196079, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Cast Bar Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Color of the cast bar.",
							}, -- [6]
							{
								["Type"] = 6,
								["Key"] = "option7",
								["Value"] = 0,
								["Name"] = "Blank Line",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "When the cast starts it flash rapidly, adjust how fast it flashes. Value is milliseconds.",
								["Min"] = 0.05,
								["Name"] = "Flash Duration",
								["Value"] = 0.4,
								["Key"] = "flashDuration",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = true,
							}, -- [8]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "Increases the cast bar height by this value",
								["Min"] = 0,
								["Name"] = "Cast Bar Height Mod",
								["Value"] = 5,
								["Key"] = "castBarHeight",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [9]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "When the cast starts, there's a small shake in the nameplate, this settings controls how long it takes.",
								["Min"] = 0.1,
								["Name"] = "Shake Duration",
								["Value"] = 0.2,
								["Key"] = "shakeDuration",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = true,
							}, -- [10]
							{
								["Type"] = 2,
								["Max"] = 100,
								["Desc"] = "How strong is the shake.",
								["Min"] = 2,
								["Fraction"] = false,
								["Value"] = 8,
								["Key"] = "shakeAmplitude",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Shake Amplitude",
							}, -- [11]
							{
								["Type"] = 2,
								["Max"] = 80,
								["Desc"] = "How fast the shake moves.",
								["Min"] = 1,
								["Fraction"] = false,
								["Value"] = 40,
								["Key"] = "shakeFrequency",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Shake Frequency",
							}, -- [12]
						},
						["version"] = -1,
						["Name"] = "Cast - Big Alert [Plater]",
						["NpcNames"] = {
						},
					}, -- [7]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --flash duration\n    local CONFIG_FLASH_DURATION = scriptTable.config.flashDuration\n    \n    --manually create a new texture for the flash animation\n    if (not envTable.SmallFlashTexture) then\n        envTable.SmallFlashTexture = envTable.SmallFlashTexture or Plater:CreateImage (unitFrame.castBar)\n        envTable.SmallFlashTexture:SetColorTexture (1, 1, 1)\n        envTable.SmallFlashTexture:SetAllPoints()\n    end\n    \n    --manually create a flash animation using the framework\n    if (not envTable.SmallFlashAnimationHub) then \n        \n        local onPlay = function()\n            envTable.SmallFlashTexture:Show()\n        end\n        \n        local onFinished = function()\n            envTable.SmallFlashTexture:Hide()\n        end\n        \n        local animationHub = Plater:CreateAnimationHub (envTable.SmallFlashTexture, onPlay, onFinished)\n        envTable.flashIn = Plater:CreateAnimation (animationHub, \"Alpha\", 1, CONFIG_FLASH_DURATION/2, 0, .6)\n        envTable.flashOut = Plater:CreateAnimation (animationHub, \"Alpha\", 2, CONFIG_FLASH_DURATION/2, 1, 0)\n        \n        envTable.SmallFlashAnimationHub = animationHub\n    end\n    \n    envTable.flashIn:SetDuration(scriptTable.config.flashDuration / 2)\n    envTable.flashOut:SetDuration(scriptTable.config.flashDuration / 2)\n    envTable.SmallFlashTexture:SetColorTexture (Plater:ParseColors(scriptTable.config.flashColor))\n    \nend\n\n\n\n\n\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.SmallFlashAnimationHub:Stop()\n    \nend\n\n\n",
						["ScriptType"] = 2,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    \n    \nend\n\n\n",
						["Time"] = 1604617585,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar",
						["Enabled"] = true,
						["Revision"] = 595,
						["semver"] = "",
						["Author"] = "Tercioo-Sylvanas",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Flashes the Cast Bar when a spell in the trigger list is Cast. Add spell in the Add Trigger field.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.SmallFlashAnimationHub:Play()\n    \nend\n\n\n",
						["SpellIds"] = {
							320170, -- [1]
							320171, -- [2]
							320462, -- [3]
							330712, -- [4]
							332170, -- [5]
							333875, -- [6]
							326836, -- [7]
							342135, -- [8]
							333861, -- [9]
							341969, -- [10]
							317963, -- [11]
							327481, -- [12]
							328331, -- [13]
							322614, -- [14]
							325701, -- [15]
							326438, -- [16]
							323538, -- [17]
							321764, -- [18]
							296523, -- [19]
							330755, -- [20]
							295929, -- [21]
							296019, -- [22]
							335685, -- [23]
							170751, -- [24]
							342207, -- [25]
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 6,
								["Name"] = "Option 1",
								["Value"] = 0,
								["Key"] = "option1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Name"] = "Option 2",
								["Value"] = "Plays a small animation when the cast start.",
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 5,
								["Key"] = "option2",
								["Value"] = "Enter the spell name or spellID of the Spell in the Add Trigger box and hit \"Add\".",
								["Name"] = "Option 2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 6,
								["Name"] = "Option 3",
								["Value"] = 0,
								["Key"] = "option3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [4]
							{
								["Type"] = 2,
								["Max"] = 1.2,
								["Desc"] = "How long is the flash played when the cast starts.",
								["Min"] = 0.1,
								["Key"] = "flashDuration",
								["Value"] = 0.6,
								["Name"] = "Flash Duration",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = true,
							}, -- [5]
							{
								["Type"] = 1,
								["Name"] = "Flash Color",
								["Value"] = {
									1, -- [1]
									1, -- [2]
									1, -- [3]
									1, -- [4]
								},
								["Key"] = "flashColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Color of the Flash",
							}, -- [6]
						},
						["version"] = -1,
						["Name"] = "Cast - Small Alert [Plater]",
						["NpcNames"] = {
						},
					}, -- [8]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \nend\n\n--[=[\n\n154564 - debug\n\n168098 - empowered coldheart agent\n156212 - coldheart agent\n\n\n\n--]=]",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    Plater.StopDotAnimation(unitFrame.healthBar, unitFrame.healthBar.MainTargetDotAnimation)\n    \n    --restore the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight)    \n    \nend\n\n\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --check if can change the nameplate color\n    if (scriptTable.config.changeNameplateColor) then\n        Plater.SetNameplateColor (unitFrame, scriptTable.config.nameplateColor)\n    end\n    \nend\n\n\n\n\n",
						["Time"] = 1604607993,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\media\\skullbones_64",
						["Enabled"] = true,
						["Revision"] = 406,
						["semver"] = "",
						["Author"] = "Izimode-Azralon",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Highlight a nameplate of an important Add. Add the unit name or NpcID into the trigger box to add more.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    Plater.StopDotAnimation(unitFrame.healthBar, unitFrame.healthBar.MainTargetDotAnimation)\n    \n    unitFrame.healthBar.MainTargetDotAnimation = Plater.PlayDotAnimation(unitFrame.healthBar, 2, scriptTable.config.dotsColor, 3, 4) \n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight + scriptTable.config.nameplateSizeOffset)\n    \nend\n\n\n\n\n\n\n\n",
						["SpellIds"] = {
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 6,
								["Key"] = "option4",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Key"] = "option6",
								["Value"] = "Enter the npc name or npcId in the \"Add Trigger\" box and hit \"Add\".",
								["Name"] = "Option 6",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option4",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 4,
								["Key"] = "changeNameplateColor",
								["Value"] = true,
								["Name"] = "Change Nameplate Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "change to true to change the color",
							}, -- [4]
							{
								["Type"] = 1,
								["Key"] = "nameplateColor",
								["Value"] = {
									1, -- [1]
									0, -- [2]
									0.5254901960784314, -- [3]
									1, -- [4]
								},
								["Name"] = "Nameplate Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [5]
							{
								["Type"] = 2,
								["Max"] = 6,
								["Desc"] = "increase the nameplate height by this value",
								["Min"] = 0,
								["Name"] = "Nameplate Size Offset",
								["Value"] = 0,
								["Fraction"] = false,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Key"] = "nameplateSizeOffset",
							}, -- [6]
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option4",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 1,
								["Key"] = "dotsColor",
								["Value"] = {
									1, -- [1]
									0.7137254901960784, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Dot Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [8]
							{
								["Type"] = 6,
								["Key"] = "option4",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [9]
						},
						["version"] = -1,
						["Name"] = "Unit - Main Target [P]",
						["NpcNames"] = {
							"156212", -- [1]
							"168098", -- [2]
						},
					}, -- [9]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --settings (require a /reload after editing any setting)\n    do\n        --blink and glow\n        envTable.BlinkEnabled = scriptTable.config.blinkEnabled\n        envTable.GlowEnabled = scriptTable.config.glowEnabled \n        envTable.ChangeNameplateColor = scriptTable.config.changeNameplateColor;\n        envTable.TimeLeftToBlink = scriptTable.config.timeleftToBlink;\n        envTable.BlinkSpeed = scriptTable.config.blinkSpeed; \n        envTable.BlinkColor = scriptTable.config.blinkColor; \n        envTable.BlinkMaxAlpha = scriptTable.config.blinkMaxAlpha; \n        envTable.NameplateColor = scriptTable.config.nameplateColor; \n        \n        --text color\n        envTable.TimerColorEnabled = scriptTable.config.timerColorEnabled \n        envTable.TimeLeftWarning = scriptTable.config.timeLeftWarning;\n        envTable.TimeLeftCritical = scriptTable.config.timeLeftCritical;\n        envTable.TextColor_Warning = scriptTable.config.warningColor; \n        envTable.TextColor_Critical = scriptTable.config.criticalColor; \n        \n        --list of spellIDs to ignore\n        envTable.IgnoredSpellID = {\n            [12] = true, --use a simple comma here\n            [13] = true,\n        }\n    end\n    \n    \n    --private\n    do\n        --if not envTable.blinkTexture then\n        envTable.blinkTexture = Plater:CreateImage (self, \"\", 1, 1, \"overlay\")\n        envTable.blinkTexture:SetPoint ('center', 0, 0)\n        envTable.blinkTexture:Hide()\n        \n        local onPlay = function()\n            envTable.blinkTexture:Show() \n            envTable.blinkTexture.color = envTable.BlinkColor\n        end\n        local onStop = function()\n            envTable.blinkTexture:Hide()  \n        end\n        envTable.blinkAnimation = Plater:CreateAnimationHub (envTable.blinkTexture, onPlay, onStop)\n        Plater:CreateAnimation (envTable.blinkAnimation, \"ALPHA\", 1, envTable.BlinkSpeed / 2, 0, envTable.BlinkMaxAlpha)\n        Plater:CreateAnimation (envTable.blinkAnimation, \"ALPHA\", 2, envTable.BlinkSpeed / 2, envTable.BlinkMaxAlpha, 0)\n        --end\n        \n        envTable.glowEffect = envTable.glowEffect or self.overlay or Plater.CreateIconGlow (self)\n        --envTable.glowEffect = envTable.glowEffect or Plater.CreateIconGlow (self)\n        --envTable.glowEffect:Show() --envTable.glowEffect:Hide()\n        \n    end\n    \nend\n\n\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.blinkAnimation:Stop()\n    envTable.blinkTexture:Hide()\n    envTable.blinkAnimation:Stop()\n    envTable.glowEffect:Stop()\n    Plater:SetFontColor (self.Cooldown.Timer, Plater.db.profile.aura_timer_text_color)\nend\n\n\n",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.blinkTexture:SetSize (self:GetSize())\n    \nend\n\n\n",
						["ScriptType"] = 1,
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Time"] = 1616002243,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    local timeLeft = envTable._RemainingTime\n    \n    --check if the spellID isn't being ignored\n    if (envTable.IgnoredSpellID [envTable._SpellID]) then\n        return\n    end\n    \n    --check the time left and start or stop the blink animation and also check if the time left is > zero\n    if ((envTable.BlinkEnabled or envTable.GlowEnabled) and timeLeft > 0) then\n        if (timeLeft < envTable.TimeLeftToBlink) then\n            --blink effect\n            if (envTable.BlinkEnabled) then\n                if (not envTable.blinkAnimation:IsPlaying()) then\n                    envTable.blinkAnimation:Play()\n                end\n            end\n            --glow effect\n            if (envTable.GlowEnabled) then\n                envTable.glowEffect:Show()\n            end\n            --nameplate color\n            if (envTable.ChangeNameplateColor) then\n                Plater.SetNameplateColor (unitFrame, envTable.NameplateColor)\n            end\n        else\n            --blink effect\n            if (envTable.blinkAnimation:IsPlaying()) then\n                envTable.blinkAnimation:Stop()\n            end\n            --glow effect\n            if (envTable.GlowEnabled and envTable.glowEffect:IsShown()) then\n                envTable.glowEffect:Hide()\n            end\n        end\n    end\n    \n    --timer color\n    if (envTable.TimerColorEnabled and timeLeft > 0) then\n        if (timeLeft < envTable.TimeLeftCritical) then\n            Plater:SetFontColor (self.Cooldown.Timer, envTable.TextColor_Critical)\n        elseif (timeLeft < envTable.TimeLeftWarning) then\n            Plater:SetFontColor (self.Cooldown.Timer, envTable.TextColor_Warning)        \n        else\n            Plater:SetFontColor (self.Cooldown.Timer, Plater.db.profile.aura_timer_text_color)\n        end\n    end\n    \nend",
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    --settings (require a /reload after editing any setting)\n    do\n        --blink and glow\n        envTable.BlinkEnabled = scriptTable.config.blinkEnabled\n        envTable.GlowEnabled = scriptTable.config.glowEnabled \n        envTable.ChangeNameplateColor = scriptTable.config.changeNameplateColor;\n        envTable.TimeLeftToBlink = scriptTable.config.timeleftToBlink;\n        envTable.BlinkSpeed = scriptTable.config.blinkSpeed; \n        envTable.BlinkColor = scriptTable.config.blinkColor; \n        envTable.BlinkMaxAlpha = scriptTable.config.blinkMaxAlpha; \n        envTable.NameplateColor = scriptTable.config.nameplateColor; \n        \n        --text color\n        envTable.TimerColorEnabled = scriptTable.config.timerColorEnabled \n        envTable.TimeLeftWarning = scriptTable.config.timeLeftWarning;\n        envTable.TimeLeftCritical = scriptTable.config.timeLeftCritical;\n        envTable.TextColor_Warning = scriptTable.config.warningColor; \n        envTable.TextColor_Critical = scriptTable.config.criticalColor; \n        \n        --list of spellIDs to ignore\n        envTable.IgnoredSpellID = {\n            [12] = true, --use a simple comma here\n            [13] = true,\n        }\n    end\n    \n    \n    --private\n    do\n        --if not envTable.blinkTexture then\n        envTable.blinkTexture = Plater:CreateImage (self, \"\", 1, 1, \"overlay\")\n        envTable.blinkTexture:SetPoint ('center', 0, 0)\n        envTable.blinkTexture:Hide()\n        \n        local onPlay = function()\n            envTable.blinkTexture:Show() \n            envTable.blinkTexture.color = envTable.BlinkColor\n        end\n        local onStop = function()\n            envTable.blinkTexture:Hide()  \n        end\n        envTable.blinkAnimation = Plater:CreateAnimationHub (envTable.blinkTexture, onPlay, onStop)\n        Plater:CreateAnimation (envTable.blinkAnimation, \"ALPHA\", 1, envTable.BlinkSpeed / 2, 0, envTable.BlinkMaxAlpha)\n        Plater:CreateAnimation (envTable.blinkAnimation, \"ALPHA\", 2, envTable.BlinkSpeed / 2, envTable.BlinkMaxAlpha, 0)\n        --end\n        \n        envTable.glowEffect = envTable.glowEffect or self.overlay or Plater.CreateIconGlow (self)\n        --envTable.glowEffect = envTable.glowEffect or Plater.CreateIconGlow (self)\n        --envTable.glowEffect:Show() --envTable.glowEffect:Hide()\n        \n    end\n    \nend\n\n\n\n\n",
						["NpcNames"] = {
						},
						["url"] = "",
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.blinkAnimation:Stop()\n    envTable.blinkTexture:Hide()\n    envTable.blinkAnimation:Stop()\n    envTable.glowEffect:Stop()\n    Plater:SetFontColor (self.Cooldown.Timer, Plater.db.profile.aura_timer_text_color)\nend\n\n\n",
						["Revision"] = 373,
						["semver"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_aura_blink",
						["Enabled"] = true,
						["Author"] = "Izimode-Azralon",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Blink, change the number and nameplate color. Add the debuffs int he trigger box. Set settings on constructor script.",
						["version"] = -1,
						["Prio"] = 99,
						["Name"] = "Aura - Blink by Time Left [Plater]",
						["PlaterCore"] = 1,
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    local timeLeft = envTable._RemainingTime\n    \n    --check if the spellID isn't being ignored\n    if (envTable.IgnoredSpellID [envTable._SpellID]) then\n        return\n    end\n    \n    --check the time left and start or stop the blink animation and also check if the time left is > zero\n    if ((envTable.BlinkEnabled or envTable.GlowEnabled) and timeLeft > 0) then\n        if (timeLeft < envTable.TimeLeftToBlink) then\n            --blink effect\n            if (envTable.BlinkEnabled) then\n                if (not envTable.blinkAnimation:IsPlaying()) then\n                    envTable.blinkAnimation:Play()\n                end\n            end\n            --glow effect\n            if (envTable.GlowEnabled) then\n                envTable.glowEffect:Show()\n            end\n            --nameplate color\n            if (envTable.ChangeNameplateColor) then\n                Plater.SetNameplateColor (unitFrame, envTable.NameplateColor)\n            end\n        else\n            --blink effect\n            if (envTable.blinkAnimation:IsPlaying()) then\n                envTable.blinkAnimation:Stop()\n            end\n            --glow effect\n            if (envTable.GlowEnabled and envTable.glowEffect:IsShown()) then\n                envTable.glowEffect:Hide()\n            end\n        end\n    end\n    \n    --timer color\n    if (envTable.TimerColorEnabled and timeLeft > 0) then\n        if (timeLeft < envTable.TimeLeftCritical) then\n            Plater:SetFontColor (self.Cooldown.Timer, envTable.TextColor_Critical)\n        elseif (timeLeft < envTable.TimeLeftWarning) then\n            Plater:SetFontColor (self.Cooldown.Timer, envTable.TextColor_Warning)        \n        else\n            Plater:SetFontColor (self.Cooldown.Timer, Plater.db.profile.aura_timer_text_color)\n        end\n    end\n    \nend",
						["SpellIds"] = {
						},
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.blinkTexture:SetSize (self:GetSize())\n    \nend\n\n\n",
						["Options"] = {
							{
								["Type"] = 6,
								["Key"] = "option10",
								["Value"] = 0,
								["Name"] = "Blank Space",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Key"] = "option17",
								["Value"] = "Enter the spell name or spellID in the Add Trigger box and hit \"Add\".",
								["Name"] = "Option 17",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option10",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 4,
								["Key"] = "blinkEnabled",
								["Value"] = true,
								["Name"] = "Blink Enabled",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "set to 'false' to disable blink",
							}, -- [4]
							{
								["Type"] = 4,
								["Key"] = "glowEnabled",
								["Value"] = true,
								["Name"] = "Glow Enabled",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "set to 'false' to disable glows",
							}, -- [5]
							{
								["Type"] = 4,
								["Key"] = "changeNameplateColor",
								["Value"] = true,
								["Name"] = "Change NamePlate Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "set to 'true' to enable nameplate color change",
							}, -- [6]
							{
								["Type"] = 2,
								["Max"] = 20,
								["Desc"] = "in seconds, affects the blink effect only",
								["Min"] = 1,
								["Fraction"] = true,
								["Value"] = 3,
								["Key"] = "timeleftToBlink",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Timeleft to Blink",
							}, -- [7]
							{
								["Type"] = 2,
								["Max"] = 3,
								["Desc"] = "time to complete a blink loop",
								["Min"] = 0.5,
								["Fraction"] = true,
								["Value"] = 1,
								["Key"] = "blinkSpeed",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Blink Speed",
							}, -- [8]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "max transparency in the animation loop (1.0 is full opaque)",
								["Min"] = 0.1,
								["Fraction"] = true,
								["Value"] = 0.6,
								["Key"] = "blinkMaxAlpha",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Blink Max Alpha",
							}, -- [9]
							{
								["Type"] = 1,
								["Key"] = "blinkColor",
								["Value"] = {
									1, -- [1]
									1, -- [2]
									1, -- [3]
									1, -- [4]
								},
								["Name"] = "Blink Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "color of the blink",
							}, -- [10]
							{
								["Type"] = 1,
								["Key"] = "",
								["Value"] = {
									0.2862745098039216, -- [1]
									0.00392156862745098, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Nameplate Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "nameplate color if ChangeNameplateColor is true",
							}, -- [11]
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option10",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [12]
							{
								["Type"] = 4,
								["Key"] = "timerColorEnabled",
								["Value"] = true,
								["Name"] = "Timer Color Enabled",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "set to 'false' to disable changes in the color of the time left text",
							}, -- [13]
							{
								["Type"] = 2,
								["Max"] = 20,
								["Desc"] = "in seconds, affects the color of the text",
								["Min"] = 1,
								["Name"] = "Time Left Warning",
								["Value"] = 8,
								["Key"] = "timeLeftWarning",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = true,
							}, -- [14]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "in seconds, affects the color of the text",
								["Min"] = 1,
								["Name"] = "Time Left Critical",
								["Value"] = 3,
								["Key"] = "timeLeftCritical",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = true,
							}, -- [15]
							{
								["Type"] = 1,
								["Key"] = "warningColor",
								["Value"] = {
									1, -- [1]
									0.8705882352941177, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Warning Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "color when the time left entered in a warning zone",
							}, -- [16]
							{
								["Type"] = 1,
								["Key"] = "criticalColor",
								["Value"] = {
									1, -- [1]
									0.07450980392156863, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Critical Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "color when the time left is critical",
							}, -- [17]
						},
					}, -- [10]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \n    envTable.npcInfo = {\n        [164427] = {secondCastBar = true, timer = 20, timerId = 321247, altCastId = \"1\", name = \"Boom!\"}, --reanimated warrior - plaguefall\n        \n        [164414] = {secondCastBar = true, timer = 20, timerId = 321247, altCastId = \"2\", name = \"Boom!\"}, --reanimated mage - plaguefall\n        \n        [164185] = {secondCastBar = true, timer = 20, timerId = 319941, altCastId = \"3\", remaining = 5, name = GetSpellInfo(319941)}, --Echelon - Halls of Atonement\n        \n        [164567] = {secondCastBar = true, altCastId = \"dromanswrath\", debuffTimer = 323059, name = GetSpellInfo(323059), spellIcon = 323059}, --Ingra Maloch -- tirna scythe\n        \n        [165408] = {secondCastBar = true, timer = 20, timerId = 322711, altCastId = \"4\", remaining = 5, name = GetSpellInfo(322711)}, --Halkias - Refracted Sinlight - Halls of Atonement\n        \n        \n        --[154564] = {secondCastBar = true, timerId = \"Test Bar\", altCastId = \"debugcast\", remaining = 5, name = GetSpellInfo(319941), spellIcon = 319941}, --debug \"Test (1)\" BW \"Test Bar\" DBM --DEBUG\n        --[154580] = {secondCastBar = true, altCastId = \"debugcast\", debuffTimer = 204242, name = GetSpellInfo(81297), spellIcon = 81297}, --debug \"Test (1)\" BW \"Test Bar\" DBM --DEBUG\n    }\n    \n    --set the castbar config\n    local config = {\n        iconTexture = \"\",\n        iconTexcoord = {0.1, 0.9, 0.1, 0.9},\n        iconAlpha = 1,\n        iconSize = 14,\n        \n        text = \"Boom!\",\n        textSize = 9,\n        \n        texture = [[Interface\\AddOns\\Plater\\images\\bar_background]],\n        color = \"silver\",\n        \n        isChanneling = false,\n        canInterrupt = false,\n        \n        height = 2,\n        width = Plater.db.profile.plate_config.enemynpc.health_incombat[1],\n        \n        spellNameAnchor = {side = 3, x = 0, y = -2},\n        timerAnchor = {side = 5, x = 0, y = -2},\n    }    \n    \n    function envTable.ShowAltCastBar(npcInfo, unitFrame, unitId, customTime, customStart)\n        --show the cast bar\n        if (npcInfo.timerId) then\n            local barObject = Plater.GetBossTimer(npcInfo.timerId)\n            if (barObject) then\n                if (npcInfo.remaining) then\n                    local timeLeft = barObject.timer + barObject.start - GetTime()\n                    if (timeLeft > npcInfo.remaining) then\n                        return\n                    end\n                end\n                \n                config.text = npcInfo.name\n                \n                if (npcInfo.spellIcon) then\n                    local _, _, iconTexture = GetSpellInfo(npcInfo.spellIcon)\n                    config.iconTexture = iconTexture\n                else\n                    config.iconTexture = \"\"\n                end\n                \n                Plater.SetAltCastBar(unitFrame.PlateFrame, config, barObject.timer, customStart or barObject.start, npcInfo.altCastId)\n            end\n        else\n            Plater.SetAltCastBar(unitFrame.PlateFrame, config, customTime or npcInfo.timer, customStart, npcInfo.altCastId)            \n        end\n        \n        DetailsFramework:TruncateText(unitFrame.castBar2.Text, unitFrame.castBar2:GetWidth() - 16)\n    end\nend",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    Plater.ClearAltCastBar(unitFrame.PlateFrame)\nend",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    local npcInfo = envTable.npcInfo[envTable._NpcID]\n    \n    if (npcInfo and npcInfo.secondCastBar) then\n        if (npcInfo.debuffTimer) then\n            if (Plater.NameplateHasAura (unitFrame, npcInfo.debuffTimer)) then\n                \n                local name = npcInfo.name\n                local _, _, _, _, duration, expirationTime = AuraUtil.FindAuraByName(name, unitId, \"DEBUFF\")\n                \n                envTable.ShowAltCastBar(npcInfo, unitFrame, unitId, duration, expirationTime-duration)\n            else\n                if (unitFrame.castBar2:IsShown()) then\n                    local altCastId = Plater.GetAltCastBarAltId(unitFrame.PlateFrame)\n                    if (altCastId == npcInfo.altCastId) then\n                        Plater.ClearAltCastBar(unitFrame.PlateFrame)\n                    end                   \n                end                              \n            end\n        else\n            envTable.ShowAltCastBar(npcInfo, unitFrame, unitId)\n        end\n    end\nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    local npcInfo = envTable.npcInfo[envTable._NpcID]\n    \n    if (npcInfo and npcInfo.secondCastBar) then\n        if (npcInfo.timerId) then\n            local barObject = Plater.GetBossTimer(npcInfo.timerId)\n            if (barObject) then\n                local altCastId = Plater.GetAltCastBarAltId(unitFrame.PlateFrame)\n                if (altCastId ~= npcInfo.altCastId or not unitFrame.castBar2:IsShown()) then\n                    envTable.ShowAltCastBar(npcInfo, unitFrame, unitId)\n                end\n            end \n            \n        elseif (npcInfo.debuffTimer) then\n            if (Plater.NameplateHasAura (unitFrame, npcInfo.debuffTimer)) then\n                \n                --get the debuff timeleft\n                local name = npcInfo.name\n                local _, _, _, _, duration, expirationTime = AuraUtil.FindAuraByName(name, unitId, \"DEBUFF\")\n                local startTime = expirationTime - duration\n                \n                if (not unitFrame.castBar2:IsShown() or unitFrame.castBar2.spellStartTime < startTime) then\n                    envTable.ShowAltCastBar(npcInfo, unitFrame, unitId, duration, startTime)\n                end\n                \n            else \n                if (unitFrame.castBar2:IsShown()) then\n                    local altCastId = Plater.GetAltCastBarAltId(unitFrame.PlateFrame)\n                    if (altCastId == npcInfo.altCastId) then\n                        Plater.ClearAltCastBar(unitFrame.PlateFrame)\n                    end                   \n                end                              \n            end\n        end\n    end\nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Time"] = 1616002303,
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["url"] = "",
						["NpcNames"] = {
							"164427", -- [1]
							"164414", -- [2]
							"164185", -- [3]
							"164567", -- [4]
							"165408", -- [5]
						},
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \n    envTable.npcInfo = {\n        [164427] = {secondCastBar = true, timer = 20, timerId = 321247, altCastId = \"1\", name = \"Boom!\"}, --reanimated warrior - plaguefall\n        \n        [164414] = {secondCastBar = true, timer = 20, timerId = 321247, altCastId = \"2\", name = \"Boom!\"}, --reanimated mage - plaguefall\n        \n        [164185] = {secondCastBar = true, timer = 20, timerId = 319941, altCastId = \"3\", remaining = 5, name = GetSpellInfo(319941)}, --Echelon - Halls of Atonement\n        \n        [164567] = {secondCastBar = true, altCastId = \"dromanswrath\", debuffTimer = 323059, name = GetSpellInfo(323059), spellIcon = 323059}, --Ingra Maloch -- tirna scythe\n        \n        [165408] = {secondCastBar = true, timer = 20, timerId = 322711, altCastId = \"4\", remaining = 5, name = GetSpellInfo(322711)}, --Halkias - Refracted Sinlight - Halls of Atonement\n        \n        \n        --[154564] = {secondCastBar = true, timerId = \"Test Bar\", altCastId = \"debugcast\", remaining = 5, name = GetSpellInfo(319941), spellIcon = 319941}, --debug \"Test (1)\" BW \"Test Bar\" DBM --DEBUG\n        --[154580] = {secondCastBar = true, altCastId = \"debugcast\", debuffTimer = 204242, name = GetSpellInfo(81297), spellIcon = 81297}, --debug \"Test (1)\" BW \"Test Bar\" DBM --DEBUG\n    }\n    \n    --set the castbar config\n    local config = {\n        iconTexture = \"\",\n        iconTexcoord = {0.1, 0.9, 0.1, 0.9},\n        iconAlpha = 1,\n        iconSize = 14,\n        \n        text = \"Boom!\",\n        textSize = 9,\n        \n        texture = [[Interface\\AddOns\\Plater\\images\\bar_background]],\n        color = \"silver\",\n        \n        isChanneling = false,\n        canInterrupt = false,\n        \n        height = 2,\n        width = Plater.db.profile.plate_config.enemynpc.health_incombat[1],\n        \n        spellNameAnchor = {side = 3, x = 0, y = -2},\n        timerAnchor = {side = 5, x = 0, y = -2},\n    }    \n    \n    function envTable.ShowAltCastBar(npcInfo, unitFrame, unitId, customTime, customStart)\n        --show the cast bar\n        if (npcInfo.timerId) then\n            local barObject = Plater.GetBossTimer(npcInfo.timerId)\n            if (barObject) then\n                if (npcInfo.remaining) then\n                    local timeLeft = barObject.timer + barObject.start - GetTime()\n                    if (timeLeft > npcInfo.remaining) then\n                        return\n                    end\n                end\n                \n                config.text = npcInfo.name\n                \n                if (npcInfo.spellIcon) then\n                    local _, _, iconTexture = GetSpellInfo(npcInfo.spellIcon)\n                    config.iconTexture = iconTexture\n                else\n                    config.iconTexture = \"\"\n                end\n                \n                Plater.SetAltCastBar(unitFrame.PlateFrame, config, barObject.timer, customStart or barObject.start, npcInfo.altCastId)\n            end\n        else\n            Plater.SetAltCastBar(unitFrame.PlateFrame, config, customTime or npcInfo.timer, customStart, npcInfo.altCastId)            \n        end\n        \n        DetailsFramework:TruncateText(unitFrame.castBar2.Text, unitFrame.castBar2:GetWidth() - 16)\n    end\nend",
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    Plater.ClearAltCastBar(unitFrame.PlateFrame)\nend",
						["Revision"] = 209,
						["semver"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\Images\\countdown_bar_icon",
						["Enabled"] = true,
						["Author"] = "Aelerolor-Torghast",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Some units has special events without a clear way to show. This script adds a second cast bar to inform the user about it.",
						["version"] = -1,
						["Prio"] = 99,
						["Name"] = "Countdown",
						["PlaterCore"] = 1,
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    local npcInfo = envTable.npcInfo[envTable._NpcID]\n    \n    if (npcInfo and npcInfo.secondCastBar) then\n        if (npcInfo.timerId) then\n            local barObject = Plater.GetBossTimer(npcInfo.timerId)\n            if (barObject) then\n                local altCastId = Plater.GetAltCastBarAltId(unitFrame.PlateFrame)\n                if (altCastId ~= npcInfo.altCastId or not unitFrame.castBar2:IsShown()) then\n                    envTable.ShowAltCastBar(npcInfo, unitFrame, unitId)\n                end\n            end \n            \n        elseif (npcInfo.debuffTimer) then\n            if (Plater.NameplateHasAura (unitFrame, npcInfo.debuffTimer)) then\n                \n                --get the debuff timeleft\n                local name = npcInfo.name\n                local _, _, _, _, duration, expirationTime = AuraUtil.FindAuraByName(name, unitId, \"DEBUFF\")\n                local startTime = expirationTime - duration\n                \n                if (not unitFrame.castBar2:IsShown() or unitFrame.castBar2.spellStartTime < startTime) then\n                    envTable.ShowAltCastBar(npcInfo, unitFrame, unitId, duration, startTime)\n                end\n                \n            else \n                if (unitFrame.castBar2:IsShown()) then\n                    local altCastId = Plater.GetAltCastBarAltId(unitFrame.PlateFrame)\n                    if (altCastId == npcInfo.altCastId) then\n                        Plater.ClearAltCastBar(unitFrame.PlateFrame)\n                    end                   \n                end                              \n            end\n        end\n    end\nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["SpellIds"] = {
						},
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    local npcInfo = envTable.npcInfo[envTable._NpcID]\n    \n    if (npcInfo and npcInfo.secondCastBar) then\n        if (npcInfo.debuffTimer) then\n            if (Plater.NameplateHasAura (unitFrame, npcInfo.debuffTimer)) then\n                \n                local name = npcInfo.name\n                local _, _, _, _, duration, expirationTime = AuraUtil.FindAuraByName(name, unitId, \"DEBUFF\")\n                \n                envTable.ShowAltCastBar(npcInfo, unitFrame, unitId, duration, expirationTime-duration)\n            else\n                if (unitFrame.castBar2:IsShown()) then\n                    local altCastId = Plater.GetAltCastBarAltId(unitFrame.PlateFrame)\n                    if (altCastId == npcInfo.altCastId) then\n                        Plater.ClearAltCastBar(unitFrame.PlateFrame)\n                    end                   \n                end                              \n            end\n        else\n            envTable.ShowAltCastBar(npcInfo, unitFrame, unitId)\n        end\n    end\nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Options"] = {
						},
					}, -- [11]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \n    envTable.lifePercent = {\n        --npcId         percent divisions\n        [154564] = {80, 30},   --debug\n        [164451] = {40}, --dessia the decapirator - theater of pain\n        [164463] = {40}, --Paceran the Virulent - theater of pain\n        [164461] = {40}, -- Sathel the Accursed - theater of pain\n        [165946]= {50}, -- ~mordretha - thather of pain\n        [164501] = {70, 40, 10}, --mistcaller - tina scythe\n        [164218] = {70, 40}, --Lord Chamberlain - Halls of Atonement\n    }\n    \n    function envTable.CreateMarker(unitFrame)\n        unitFrame.healthMarker = unitFrame.healthBar:CreateTexture(nil, \"overlay\")\n        unitFrame.healthMarker:SetColorTexture(1, 1, 1)\n        unitFrame.healthMarker:SetSize(1, unitFrame.healthBar:GetHeight())\n        \n        unitFrame.healthOverlay = unitFrame.healthBar:CreateTexture(nil, \"overlay\")\n        unitFrame.healthOverlay:SetColorTexture(1, 1, 1)\n        unitFrame.healthOverlay:SetSize(1, unitFrame.healthBar:GetHeight())\n    end\n    \n    function envTable.UpdateMarkers(unitFrame)\n        local markersTable = envTable.lifePercent[envTable._NpcID]\n        if (markersTable) then\n            local unitLifePercent = envTable._HealthPercent / 100\n            for i, percent in ipairs(markersTable) do\n                percent = percent / 100\n                if (unitLifePercent > percent) then\n                    if (not unitFrame.healthMarker) then\n                        envTable.CreateMarker(unitFrame)\n                    end\n                    \n                    unitFrame.healthMarker:Show()\n                    local width = unitFrame.healthBar:GetWidth()\n                    unitFrame.healthMarker:SetPoint(\"left\", unitFrame.healthBar, \"left\", width*percent, 0)\n                    \n                    local overlaySize = width * (unitLifePercent - percent)\n                    unitFrame.healthOverlay:SetWidth(overlaySize)\n                    unitFrame.healthOverlay:SetPoint(\"left\", unitFrame.healthMarker, \"right\", 0, 0)\n                    \n                    unitFrame.healthMarker:SetVertexColor(Plater:ParseColors(scriptTable.config.indicatorColor))\n                    unitFrame.healthMarker:SetAlpha(scriptTable.config.indicatorAlpha)\n                    \n                    unitFrame.healthOverlay:SetVertexColor(Plater:ParseColors(scriptTable.config.fillColor))\n                    unitFrame.healthOverlay:SetAlpha(scriptTable.config.fillAlpha)\n                    \n                    return\n                end\n            end --end for\n            \n            if (unitFrame.healthMarker and unitFrame.healthMarker:IsShown()) then\n                unitFrame.healthMarker:Hide()\n                unitFrame.healthOverlay:Hide()\n            end\n        end\n    end\nend      \n\n\n\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    if (unitFrame.healthMarker) then\n        unitFrame.healthMarker:Hide()\n        unitFrame.healthOverlay:Hide()\n    end\nend\n\n\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.UpdateMarkers(unitFrame)\nend\n\n\n",
						["Time"] = 1606506781,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\health_indicator",
						["Enabled"] = true,
						["Revision"] = 109,
						["semver"] = "",
						["Author"] = "Aelerolor-Torghast",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Place a marker into the health bar to indicate when the unit will change phase or cast an important spell.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.UpdateMarkers(unitFrame)\nend\n\n\n",
						["SpellIds"] = {
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 5,
								["Key"] = "option1",
								["Value"] = "Add markers into the health bar to remind you about boss abilities at life percent.",
								["Name"] = "Option 1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 6,
								["Key"] = "",
								["Value"] = 0,
								["Name"] = "blank line",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 1,
								["Key"] = "indicatorColor",
								["Value"] = {
									1, -- [1]
									1, -- [2]
									1, -- [3]
									1, -- [4]
								},
								["Name"] = "Vertical Line Color",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Indicator color.",
							}, -- [3]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "Indicator alpha.",
								["Min"] = 0.1,
								["Name"] = "Vertical Line Alpha",
								["Value"] = 0.79,
								["Key"] = "indicatorAlpha",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = true,
							}, -- [4]
							{
								["Type"] = 6,
								["Name"] = "blank line",
								["Value"] = 0,
								["Key"] = "",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [5]
							{
								["Type"] = 1,
								["Name"] = "Fill Color",
								["Value"] = {
									1, -- [1]
									1, -- [2]
									1, -- [3]
									1, -- [4]
								},
								["Key"] = "fillColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Fill color.",
							}, -- [6]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "Fill alpha.",
								["Min"] = 0,
								["Fraction"] = true,
								["Value"] = 0.2,
								["Name"] = "Fill Alpha",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Key"] = "fillAlpha",
							}, -- [7]
						},
						["version"] = -1,
						["Name"] = "Unit - Health Markers [P]",
						["NpcNames"] = {
							"164451", -- [1]
							"164463", -- [2]
							"164461", -- [3]
							"165946", -- [4]
							"164501", -- [5]
							"164218", -- [6]
						},
					}, -- [12]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    envTable.movingArrow = envTable.movingArrow or Plater:CreateImage (self, [[Interface\\PETBATTLES\\PetBattle-StatIcons]], 16, self:GetHeight(), \"background\", {0, 15/32, 18/32, 30/32})\n    \n    --envTable.movingArrow.color = scriptTable.config.arrowColor\n    envTable.movingArrow:SetAlpha (scriptTable.config.arrowAlpha)\n    envTable.movingArrow:SetDesaturated (scriptTable.config.desaturateArrow)\n    \n    envTable.movingAnimation = envTable.movingAnimation or Plater:CreateAnimationHub (envTable.movingArrow, \n        function() \n            envTable.movingArrow:Show() \n            envTable.movingArrow:SetPoint(\"left\", 0, 0)\n        end, \n        function() envTable.movingArrow:Hide() end)\n    \n    envTable.movingAnimation:SetLooping (\"REPEAT\")\n    \n    envTable.arrowAnimation = envTable.arrowAnimation or Plater:CreateAnimation (envTable.movingAnimation, \"translation\", 1, 0.20, self:GetWidth()-16, 0)\n    \n    envTable.arrowAnimation:SetDuration(scriptTable.config.animSpeed)\nend\n\n\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.movingAnimation:Stop()\nend\n\n\n",
						["ScriptType"] = 2,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \nend",
						["Time"] = 1604599443,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar_frontal",
						["Enabled"] = true,
						["Revision"] = 460,
						["semver"] = "",
						["Author"] = "Izimode-Azralon",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Does an animation for casts that affect the frontal area of the enemy. Add spell in the Add Trigger field.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.movingAnimation:Play()\nend\n\n\n",
						["SpellIds"] = {
							323489, -- [1]
							323496, -- [2]
							319941, -- [3]
							319592, -- [4]
							334266, -- [5]
							325258, -- [6]
							334913, -- [7]
							326221, -- [8]
							322936, -- [9]
							323236, -- [10]
							321834, -- [11]
							336752, -- [12]
							325418, -- [13]
							324667, -- [14]
							327233, -- [15]
							324368, -- [16]
							324205, -- [17]
							323943, -- [18]
							319713, -- [19]
							320596, -- [20]
							320729, -- [21]
							323608, -- [22]
							330614, -- [23]
							320063, -- [24]
							332708, -- [25]
							334023, -- [26]
							317231, -- [27]
							317943, -- [28]
							320966, -- [29]
							334053, -- [30]
							328458, -- [31]
							321968, -- [32]
							331718, -- [33]
							325793, -- [34]
							330453, -- [35]
							326997, -- [36]
							334051, -- [37]
							292903, -- [38]
							330843, -- [39]
							294173, -- [40]
							189200, -- [41]
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 6,
								["Name"] = "Option 1",
								["Value"] = 0,
								["Key"] = "option1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Name"] = "Option 2",
								["Value"] = "Produces an effect to indicate the spell will hit players in front of the enemy.",
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 5,
								["Name"] = "Option 4",
								["Value"] = "Enter the spell name or spellID of the Spell in the Add Trigger box and hit \"Add\".",
								["Key"] = "option4",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 6,
								["Name"] = "Option 3",
								["Value"] = 0,
								["Key"] = "option3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [4]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "Set the alpha of the moving arrow",
								["Min"] = 0,
								["Key"] = "arrowAlpha",
								["Value"] = 0.275,
								["Fraction"] = true,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Arrow Alpha",
							}, -- [5]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "Time that takes for an arrow to travel from the to right.",
								["Min"] = 0,
								["Key"] = "animSpeed",
								["Value"] = 0.2,
								["Fraction"] = true,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Animation Speed",
							}, -- [6]
							{
								["Type"] = 4,
								["Name"] = "Use White Arrow",
								["Value"] = false,
								["Key"] = "desaturateArrow",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "If enabled, the arrow color will be desaturated.",
							}, -- [7]
						},
						["version"] = -1,
						["Name"] = "Cast - Frontal Cone [Plater]",
						["NpcNames"] = {
						},
					}, -- [13]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.FixateTarget = Plater:CreateLabel (unitFrame);\n    envTable.FixateTarget:SetPoint (\"bottom\", unitFrame.BuffFrame, \"top\", 0, 10);    \n    \n    envTable.FixateIcon = Plater:CreateImage (unitFrame, 236188, 16, 16, \"overlay\");\n    envTable.FixateIcon:SetPoint (\"bottom\", envTable.FixateTarget, \"top\", 0, 4);    \n    \n    envTable.FixateTarget:Hide()\n    envTable.FixateIcon:Hide()\nend\n\n--165560 = Gormling Larva - MTS\n\n\n\n\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.FixateTarget:Hide()\n    envTable.FixateIcon:Hide()\nend\n\n\n",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    local targetName = UnitName (unitId .. \"target\");\n    if (targetName) then\n        local _, class = UnitClass (unitId .. \"target\");\n        targetName = Plater.SetTextColorByClass (unitId .. \"target\", targetName);\n        envTable.FixateTarget.text = targetName;\n        \n        envTable.FixateTarget:Show();\n        envTable.FixateIcon:Show();\n    end    \nend\n\n\n",
						["Time"] = 1614271001,
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n\n\n\n\n",
						["url"] = "",
						["Icon"] = 1029718,
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.FixateTarget = Plater:CreateLabel (unitFrame);\n    envTable.FixateTarget:SetPoint (\"bottom\", unitFrame.BuffFrame, \"top\", 0, 10);    \n    \n    envTable.FixateIcon = Plater:CreateImage (unitFrame, 236188, 16, 16, \"overlay\");\n    envTable.FixateIcon:SetPoint (\"bottom\", envTable.FixateTarget, \"top\", 0, 4);    \n    \n    envTable.FixateTarget:Hide()\n    envTable.FixateIcon:Hide()\nend\n\n--165560 = Gormling Larva - MTS\n\n\n\n\n\n\n",
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.FixateTarget:Hide()\n    envTable.FixateIcon:Hide()\nend\n\n\n",
						["Revision"] = 270,
						["Options"] = {
						},
						["NpcNames"] = {
							"165560", -- [1]
						},
						["Enabled"] = true,
						["Author"] = "Celian-Sylvanas",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n\n\n\n\n",
						["Desc"] = "Show above the nameplate who is the player fixated",
						["version"] = -1,
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    local targetName = UnitName (unitId .. \"target\");\n    if (targetName) then\n        local _, class = UnitClass (unitId .. \"target\");\n        targetName = Plater.SetTextColorByClass (unitId .. \"target\", targetName);\n        envTable.FixateTarget.text = targetName;\n        \n        envTable.FixateTarget:Show();\n        envTable.FixateIcon:Show();\n    end    \nend\n\n\n",
						["SpellIds"] = {
						},
						["PlaterCore"] = 1,
						["Prio"] = 99,
						["Name"] = "Fixate [Plater]",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
						["semver"] = "",
					}, -- [14]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --castbar color (when can be interrupted)\n    envTable.CastbarColor = scriptTable.config.castbarColor\n    \n    --flash duration\n    local CONFIG_BACKGROUND_FLASH_DURATION = scriptTable.config.flashDuration\n    \n    --add this value to the cast bar height\n    envTable.CastBarHeightAdd = scriptTable.config.castBarHeight\n    \n    --create a fast flash above the cast bar\n    envTable.FullBarFlash = envTable.FullBarFlash or Plater.CreateFlash (self, 0.05, 1, \"white\")\n    \n    --create a camera shake for the nameplate\n    envTable.FrameShake = Plater:CreateFrameShake (unitFrame, scriptTable.config.shakeDuration, scriptTable.config.shakeAmplitude, scriptTable.config.shakeFrequency, false, false, 0, 1, 0.05, 0.1, Plater.GetPoints (unitFrame))\n    \n    --create a texture to use for a flash behind the cast bar\n    local backGroundFlashTexture = Plater:CreateImage (self, [[Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Alert-Glow]], self:GetWidth()+60, self:GetHeight()+50, \"background\", {0, 400/512, 0, 170/256})\n    backGroundFlashTexture:SetBlendMode (\"ADD\")\n    backGroundFlashTexture:SetPoint (\"center\", self, \"center\")\n    backGroundFlashTexture:Hide()\n    \n    --create the animation hub to hold the flash animation sequence\n    envTable.BackgroundFlash = envTable.BackgroundFlash or Plater:CreateAnimationHub (backGroundFlashTexture, \n        function()\n            backGroundFlashTexture:Show()\n        end,\n        function()\n            backGroundFlashTexture:Hide()\n        end\n    )\n    \n    --create the flash animation sequence\n    envTable.BackgroundFlash.fadeIn = envTable.BackgroundFlash.fadeIn or Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 1, CONFIG_BACKGROUND_FLASH_DURATION/2, 0, .75)\n    envTable.BackgroundFlash.fadeIn:SetDuration(CONFIG_BACKGROUND_FLASH_DURATION/2)\n    \n    envTable.BackgroundFlash.fadeOut = envTable.BackgroundFlash.fadeOut or Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 2, CONFIG_BACKGROUND_FLASH_DURATION/2, 1, 0)    \n    envTable.BackgroundFlash.fadeOut:SetDuration(CONFIG_BACKGROUND_FLASH_DURATION/2)\n    \n    --envTable.BackgroundFlash:Play() --envTable.BackgroundFlash:Stop()    \n    \n    \n    \n    \n    \nend\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    if (not Plater.IsPlayerTank()) then\n        return\n    end\n    \n    --don't execute on battlegrounds and arenas\n    if (Plater.ZoneInstanceType == \"arena\" or Plater.ZoneInstanceType == \"pvp\") then\n        return\n    end    \n    \n    unitFrame.castBar:SetHeight (envTable._DefaultHeight)\n    \n    --stop the camera shake\n    unitFrame:StopFrameShake (envTable.FrameShake)\n    \n    envTable.FullBarFlash:Stop()\n    envTable.BackgroundFlash:Stop()\n    \n    unitFrame.castBar.Spark:SetHeight(unitFrame.castBar:GetHeight())\n    \nend\n\n\n\n\n\n",
						["ScriptType"] = 2,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \nend\n\n\n",
						["Time"] = 1604593143,
						["url"] = "",
						["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar_tank",
						["Enabled"] = true,
						["Revision"] = 833,
						["semver"] = "",
						["Author"] = "Tercioo-Sylvanas",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend",
						["Desc"] = "Cast alert for abilities which only the tank can interrupt.",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    if (not Plater.IsPlayerTank()) then\n        return\n    end\n    \n    --don't execute on battlegrounds and arenas\n    if (Plater.ZoneInstanceType == \"arena\" or Plater.ZoneInstanceType == \"pvp\") then\n        return\n    end\n    \n    --play flash animations\n    envTable.FullBarFlash:Play()\n    \n    --envTable.currentHeight = unitFrame.castBar:GetHeight()\n    \n    --restoring the default size (not required since it already restore in the hide script)\n    if (envTable.OriginalHeight) then\n        self:SetHeight (envTable.OriginalHeight)\n    end\n    \n    --increase the cast bar size\n    local height = self:GetHeight()\n    envTable.OriginalHeight = height\n    \n    self:SetHeight (height + envTable.CastBarHeightAdd)\n    \n    Plater.SetCastBarBorderColor (self, 1, .2, .2, 0.4)\n    \n    unitFrame:PlayFrameShake (envTable.FrameShake)\n    \n    --set the color of the cast bar to dark orange (only if can be interrupted)\n    --Plater auto set this color to default when a new cast starts, no need to reset this value at OnHide.    \n    if (envTable._CanInterrupt) then\n        if (scriptTable.config.useCastbarColor) then\n            self:SetStatusBarColor (Plater:ParseColors (envTable.CastbarColor))\n        end\n    end\n    \n    envTable.BackgroundFlash:Play()\n    \n    unitFrame.castBar.Spark:SetHeight(unitFrame.castBar:GetHeight())\n    \nend\n\n\n\n\n\n\n\n\n",
						["SpellIds"] = {
							321828, -- [1]
						},
						["PlaterCore"] = 1,
						["Options"] = {
							{
								["Type"] = 6,
								["Name"] = "Blank Line",
								["Value"] = 0,
								["Key"] = "option1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Name"] = "Option 2",
								["Value"] = "Produces a notable effect in the cast bar when a spell from the 'Triggers' starts to cast.",
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 5,
								["Name"] = "Option 3",
								["Value"] = "Enter the spell name or spellID of the Spell in the Add Trigger box and hit \"Add\".",
								["Key"] = "option3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 6,
								["Name"] = "Blank Space",
								["Value"] = 0,
								["Key"] = "option4",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [4]
							{
								["Type"] = 4,
								["Name"] = "Cast Bar Color Enabled",
								["Value"] = true,
								["Key"] = "useCastbarColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "When enabled, changes the cast bar color,",
							}, -- [5]
							{
								["Type"] = 1,
								["Name"] = "Cast Bar Color",
								["Value"] = {
									1, -- [1]
									0.4313725490196079, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "castbarColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Color of the cast bar.",
							}, -- [6]
							{
								["Type"] = 6,
								["Name"] = "Blank Line",
								["Value"] = 0,
								["Key"] = "option7",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "When the cast starts it flash rapidly, adjust how fast it flashes. Value is milliseconds.",
								["Min"] = 0.05,
								["Key"] = "flashDuration",
								["Value"] = 0.2,
								["Fraction"] = true,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Flash Duration",
							}, -- [8]
							{
								["Type"] = 2,
								["Max"] = 10,
								["Desc"] = "Increases the cast bar height by this value",
								["Min"] = 0,
								["Key"] = "castBarHeight",
								["Value"] = 0,
								["Fraction"] = false,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Cast Bar Height Mod",
							}, -- [9]
							{
								["Type"] = 2,
								["Max"] = 1,
								["Desc"] = "When the cast starts, there's a small shake in the nameplate, this settings controls how long it takes.",
								["Min"] = 0.1,
								["Key"] = "shakeDuration",
								["Value"] = 0.1,
								["Fraction"] = true,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Shake Duration",
							}, -- [10]
							{
								["Type"] = 2,
								["Max"] = 200,
								["Desc"] = "How strong is the shake.",
								["Min"] = 10,
								["Key"] = "shakeAmplitude",
								["Value"] = 25,
								["Name"] = "Shake Amplitude",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [11]
							{
								["Type"] = 2,
								["Max"] = 80,
								["Desc"] = "How fast the shake moves.",
								["Min"] = 1,
								["Key"] = "shakeFrequency",
								["Value"] = 30,
								["Name"] = "Shake Frequency",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Fraction"] = false,
							}, -- [12]
						},
						["version"] = -1,
						["Name"] = "Cast - Tank Interrupt [P]",
						["NpcNames"] = {
						},
					}, -- [15]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.EnergyAmount = Plater:CreateLabel (unitFrame, \"\", 16, \"silver\");\n    envTable.EnergyAmount:SetPoint (\"bottom\", unitFrame, \"top\", 0, 18);    \n    \n    envTable.EnergyAmount.fontsize = scriptTable.config.fontSize\n    envTable.EnergyAmount.fontcolor = scriptTable.config.fontColor\n    envTable.EnergyAmount.outline = scriptTable.config.outline\n    \n    \nend\n\n--[=[\n\n164406 = Shriekwing\n164407 = Sludgefist\n162100 = kryxis the voracious\n162099 = general kaal - sanguine depths\n162329 = Xav the Unfallen - threater of pain\n--]=]",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.EnergyAmount:Hide()\nend\n\n\n",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.EnergyAmount:Show()\nend\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    local currentPower = UnitPower(unitId)\n    \n    if (currentPower and currentPower > 0) then\n        local maxPower = UnitPowerMax (unitId)\n        local percent = floor (currentPower / maxPower * 100)\n        \n        envTable.EnergyAmount.text = \"\" .. percent;\n        \n        if (scriptTable.config.showLater) then\n            local alpha = (percent -80) * 5\n            alpha = alpha / 100\n            alpha = max(0, alpha)\n            envTable.EnergyAmount:SetAlpha(alpha)\n            \n        else\n            envTable.EnergyAmount:SetAlpha(1.0)\n        end\n        \n        \n    else\n        envTable.EnergyAmount.text = \"\"\n    end\nend\n\n\n\n\n\n\n\n\n",
						["Time"] = 1616002249,
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["url"] = "",
						["NpcNames"] = {
							"164406", -- [1]
							"164407", -- [2]
							"162100", -- [3]
							"162099", -- [4]
							"162329", -- [5]
							"164558", -- [6]
						},
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.EnergyAmount:Hide()\nend\n\n\n",
						["Enabled"] = true,
						["Revision"] = 234,
						["Options"] = {
							{
								["Type"] = 6,
								["Name"] = "Option 1",
								["Value"] = 0,
								["Key"] = "option1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 5,
								["Name"] = "script desc",
								["Value"] = "Show the power of the unit above the nameplate.",
								["Key"] = "option3",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 5,
								["Key"] = "option3",
								["Value"] = "Add the unit name or unitId in the \"Add Trigger\" field and press \"Add\".",
								["Name"] = "add trigger",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 6,
								["Name"] = "Option 2",
								["Value"] = 0,
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [4]
							{
								["Type"] = 4,
								["Name"] = "Show at 80% of Energy",
								["Value"] = true,
								["Key"] = "showLater",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "If enabled, the energy won't start showing until the unit has 80% energy.",
							}, -- [5]
							{
								["Type"] = 6,
								["Key"] = "option2",
								["Value"] = 0,
								["Name"] = "Option 2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [6]
							{
								["Type"] = 2,
								["Max"] = 32,
								["Desc"] = "Text size.",
								["Min"] = 8,
								["Key"] = "fontSize",
								["Value"] = 16,
								["Fraction"] = false,
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Name"] = "Text Size",
							}, -- [7]
							{
								["Type"] = 1,
								["Name"] = "Font Color",
								["Value"] = {
									0.803921568627451, -- [1]
									0.803921568627451, -- [2]
									0.803921568627451, -- [3]
									1, -- [4]
								},
								["Key"] = "fontColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "Color of the text.",
							}, -- [8]
							{
								["Type"] = 4,
								["Name"] = "Enable Text Outline",
								["Value"] = true,
								["Key"] = "outline",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "If enabled, the text uses outline.",
							}, -- [9]
						},
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.EnergyAmount = Plater:CreateLabel (unitFrame, \"\", 16, \"silver\");\n    envTable.EnergyAmount:SetPoint (\"bottom\", unitFrame, \"top\", 0, 18);    \n    \n    envTable.EnergyAmount.fontsize = scriptTable.config.fontSize\n    envTable.EnergyAmount.fontcolor = scriptTable.config.fontColor\n    envTable.EnergyAmount.outline = scriptTable.config.outline\n    \n    \nend\n\n--[=[\n\n164406 = Shriekwing\n164407 = Sludgefist\n162100 = kryxis the voracious\n162099 = general kaal - sanguine depths\n162329 = Xav the Unfallen - threater of pain\n--]=]",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    envTable.EnergyAmount:Show()\nend\n\n\n",
						["Author"] = "Celian-Sylvanas",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Show the energy amount above the nameplate.",
						["Name"] = "Unit - Show Energy [Plater]",
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    \n    local currentPower = UnitPower(unitId)\n    \n    if (currentPower and currentPower > 0) then\n        local maxPower = UnitPowerMax (unitId)\n        local percent = floor (currentPower / maxPower * 100)\n        \n        envTable.EnergyAmount.text = \"\" .. percent;\n        \n        if (scriptTable.config.showLater) then\n            local alpha = (percent -80) * 5\n            alpha = alpha / 100\n            alpha = max(0, alpha)\n            envTable.EnergyAmount:SetAlpha(alpha)\n            \n        else\n            envTable.EnergyAmount:SetAlpha(1.0)\n        end\n        \n        \n    else\n        envTable.EnergyAmount.text = \"\"\n    end\nend\n\n\n\n\n\n\n\n\n",
						["version"] = -1,
						["PlaterCore"] = 1,
						["Prio"] = 99,
						["SpellIds"] = {
						},
						["semver"] = "",
						["Icon"] = 136048,
					}, -- [16]
					{
						["ConstructorCode"] = "--todo: add npc ids for multilanguage support\n\nfunction (self, unitId, unitFrame, envTable)\n    \n    --settings\n    envTable.TextAboveNameplate = \"** On You **\"\n    envTable.NameplateColor = \"green\"\n    \n    --label to show the text above the nameplate\n    envTable.FixateTarget = Plater:CreateLabel (unitFrame);\n    envTable.FixateTarget:SetPoint (\"bottom\", unitFrame.healthBar, \"top\", 0, 30);\n    \n    --the spell casted by the npc in the trigger list needs to be in the list below as well\n    local spellList = {\n        [321891] = \"Freeze Tag Fixation\", --Illusionary Vulpin - MTS\n        \n    }\n    \n    --build the list with localized spell names\n    envTable.FixateDebuffs = {}\n    for spellID, enUSSpellName in pairs (spellList) do\n        local localizedSpellName = GetSpellInfo (spellID)\n        envTable.FixateDebuffs [localizedSpellName or enUSSpellName] = true\n    end\n    \n    --debug - smuggled crawg\n    envTable.FixateDebuffs [\"Jagged Maw\"] = true\n    \nend\n\n--[=[\nNpcIDs:\n136461: Spawn of G'huun (mythic uldir G'huun)\n\n--]=]\n\n\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.FixateTarget:SetText (\"\")\n    envTable.FixateTarget:Hide()\n    \n    envTable.IsFixated = false\n    \n    Plater.RefreshNameplateColor (unitFrame)\nend\n\n\n",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --swap this to true when it is fixated\n    local isFixated = false\n    \n    --check the debuffs the player has and see if any of these debuffs has been placed by this unit\n    for debuffId = 1, 40 do\n        local name, texture, count, debuffType, duration, expirationTime, caster = UnitDebuff (\"player\", debuffId)\n        \n        --cancel the loop if there's no more debuffs on the player\n        if (not name) then \n            break \n        end\n        \n        --check if the owner of the debuff is this unit\n        if (envTable.FixateDebuffs [name] and caster and UnitIsUnit (caster, unitId)) then\n            --the debuff the player has, has been placed by this unit, set the name above the unit name\n            envTable.FixateTarget:SetText (envTable.TextAboveNameplate)\n            envTable.FixateTarget:Show()\n            Plater.SetNameplateColor (unitFrame,  envTable.NameplateColor)\n            isFixated = true\n            \n            if (not envTable.IsFixated) then\n                envTable.IsFixated = true\n                Plater.FlashNameplateBody (unitFrame, \"fixate\", .2)\n            end\n        end\n        \n    end\n    \n    --check if the nameplate color is changed but isn't fixated any more\n    if (not isFixated and envTable.IsFixated) then\n        --refresh the nameplate color\n        Plater.RefreshNameplateColor (unitFrame)\n        --reset the text\n        envTable.FixateTarget:SetText (\"\")\n        \n        envTable.IsFixated = false\n    end\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Time"] = 1614271003,
						["Temp_ConstructorCode"] = "--todo: add npc ids for multilanguage support\n\nfunction (self, unitId, unitFrame, envTable)\n    \n    --settings\n    envTable.TextAboveNameplate = \"** On You **\"\n    envTable.NameplateColor = \"green\"\n    \n    --label to show the text above the nameplate\n    envTable.FixateTarget = Plater:CreateLabel (unitFrame);\n    envTable.FixateTarget:SetPoint (\"bottom\", unitFrame.healthBar, \"top\", 0, 30);\n    \n    --the spell casted by the npc in the trigger list needs to be in the list below as well\n    local spellList = {\n        [321891] = \"Freeze Tag Fixation\", --Illusionary Vulpin - MTS\n        \n    }\n    \n    --build the list with localized spell names\n    envTable.FixateDebuffs = {}\n    for spellID, enUSSpellName in pairs (spellList) do\n        local localizedSpellName = GetSpellInfo (spellID)\n        envTable.FixateDebuffs [localizedSpellName or enUSSpellName] = true\n    end\n    \n    --debug - smuggled crawg\n    envTable.FixateDebuffs [\"Jagged Maw\"] = true\n    \nend\n\n--[=[\nNpcIDs:\n136461: Spawn of G'huun (mythic uldir G'huun)\n\n--]=]\n\n\n\n\n",
						["NpcNames"] = {
						},
						["Enabled"] = true,
						["Revision"] = 267,
						["Options"] = {
						},
						["url"] = "",
						["Icon"] = 841383,
						["Author"] = "Tecno-Azralon",
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.FixateTarget:SetText (\"\")\n    envTable.FixateTarget:Hide()\n    \n    envTable.IsFixated = false\n    \n    Plater.RefreshNameplateColor (unitFrame)\nend\n\n\n",
						["Desc"] = "When an enemy places a debuff and starts to chase you. This script changes the nameplate color and place your name above the nameplate as well.",
						["semver"] = "",
						["Prio"] = 99,
						["SpellIds"] = {
							"spawn of g'huun", -- [1]
							"smuggled crawg", -- [2]
							"sergeant bainbridge", -- [3]
							"blacktooth scrapper", -- [4]
							"irontide grenadier", -- [5]
							"feral bloodswarmer", -- [6]
							"earthrager", -- [7]
							"crawler mine", -- [8]
							"rezan", -- [9]
						},
						["PlaterCore"] = 1,
						["version"] = -1,
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --swap this to true when it is fixated\n    local isFixated = false\n    \n    --check the debuffs the player has and see if any of these debuffs has been placed by this unit\n    for debuffId = 1, 40 do\n        local name, texture, count, debuffType, duration, expirationTime, caster = UnitDebuff (\"player\", debuffId)\n        \n        --cancel the loop if there's no more debuffs on the player\n        if (not name) then \n            break \n        end\n        \n        --check if the owner of the debuff is this unit\n        if (envTable.FixateDebuffs [name] and caster and UnitIsUnit (caster, unitId)) then\n            --the debuff the player has, has been placed by this unit, set the name above the unit name\n            envTable.FixateTarget:SetText (envTable.TextAboveNameplate)\n            envTable.FixateTarget:Show()\n            Plater.SetNameplateColor (unitFrame,  envTable.NameplateColor)\n            isFixated = true\n            \n            if (not envTable.IsFixated) then\n                envTable.IsFixated = true\n                Plater.FlashNameplateBody (unitFrame, \"fixate\", .2)\n            end\n        end\n        \n    end\n    \n    --check if the nameplate color is changed but isn't fixated any more\n    if (not isFixated and envTable.IsFixated) then\n        --refresh the nameplate color\n        Plater.RefreshNameplateColor (unitFrame)\n        --reset the text\n        envTable.FixateTarget:SetText (\"\")\n        \n        envTable.IsFixated = false\n    end\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Name"] = "Fixate On You [Plater]",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
					}, -- [17]
				},
				["indicator_raidmark_scale"] = 0.699999988079071,
				["aura2_y_offset"] = 5,
				["cast_statusbar_color_nointerrupt"] = {
					1, -- [1]
					0, -- [2]
					0.00784313725490196, -- [3]
					0.9600000008940697, -- [4]
				},
				["indicator_worldboss"] = false,
				["aura_width2"] = 16,
				["aura_show_crowdcontrol"] = true,
				["health_cutoff"] = false,
				["extra_icon_anchor"] = {
					["x"] = 15,
					["side"] = 11,
				},
				["extra_icon_wide_icon"] = false,
				["range_check_alpha"] = 1,
				["use_name_translit"] = true,
				["extra_icon_height"] = 16,
				["extra_icon_show_purge"] = true,
				["spell_animations"] = false,
				["aura_consolidate"] = true,
				["extra_icon_width"] = 26,
				["health_statusbar_texture"] = "Minimalist",
				["hook_auto_imported"] = {
					["Reorder Nameplate"] = 4,
					["Dont Have Aura"] = 1,
					["Players Targetting Amount"] = 4,
					["Color Automation"] = 1,
					["Hide Neutral Units"] = 1,
					["Cast Bar Icon Config"] = 2,
					["Aura Reorder"] = 3,
					["Combo Points"] = 4,
					["Extra Border"] = 2,
					["Target Color"] = 3,
					["Execute Range"] = 1,
					["Attacking Specific Unit"] = 1,
				},
				["captured_spells"] = {
					[195072] = {
						["source"] = "Lolfaceroll",
						["event"] = "SPELL_CAST_SUCCESS",
						["npcID"] = 0,
					},
					[21562] = {
						["source"] = "Esterin-TwistingNether",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[1459] = {
						["source"] = "Aniprocs-Ahn'Qiraj",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[311474] = {
						["source"] = "Wulffen-Hellfire",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[227723] = {
						["source"] = "Bavaria-Boulderfist",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[2383] = {
						["source"] = "Giselle-Balnazzar",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[2580] = {
						["source"] = "Muttodashot",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[51714] = {
						["source"] = "Врайтнер-СвежевательДуш",
						["type"] = "DEBUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[225787] = {
						["source"] = "Luckyone",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[176151] = {
						["source"] = "Aniprocs-Ahn'Qiraj",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[338804] = {
						["source"] = "Lolfaceroll",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[290121] = {
						["source"] = "Zlokobni",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[108366] = {
						["source"] = "Rocco-Talnivarr",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[72968] = {
						["source"] = "Luckyone",
						["event"] = "SPELL_CAST_SUCCESS",
						["npcID"] = 0,
					},
					[83245] = {
						["source"] = "Daboi-Talnivarr",
						["event"] = "SPELL_CAST_SUCCESS",
						["npcID"] = 0,
					},
					[768] = {
						["source"] = "Soondead-Talnivarr",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[328837] = {
						["source"] = "Daboi-Talnivarr",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[55095] = {
						["source"] = "Врайтнер-СвежевательДуш",
						["type"] = "DEBUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[307166] = {
						["source"] = "Luckyone",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[310143] = {
						["source"] = "Chewmungus-Chromaggus",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[264689] = {
						["source"] = "Kapoios-Talnivarr",
						["type"] = "DEBUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[154797] = {
						["source"] = "Giselle-Balnazzar",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[108446] = {
						["event"] = "SPELL_AURA_APPLIED",
						["type"] = "BUFF",
						["source"] = "Unknown",
						["npcID"] = 17252,
					},
					[292361] = {
						["source"] = "Bavaria-Boulderfist",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[347901] = {
						["type"] = "BUFF",
						["source"] = "Hiim-Balnazzar",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[348846] = {
						["source"] = "Zlokobni",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[338825] = {
						["source"] = "Nephunthias-Balnazzar",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[231390] = {
						["source"] = "Kapoios-Talnivarr",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[307185] = {
						["type"] = "BUFF",
						["source"] = "Blackjeezus-ShatteredHalls",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[164273] = {
						["source"] = "Mielikkí",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[347600] = {
						["event"] = "SPELL_AURA_APPLIED",
						["type"] = "BUFF",
						["source"] = "Ellii-Sunstrider",
						["npcID"] = 0,
					},
					[327708] = {
						["type"] = "BUFF",
						["source"] = "Hiim-Balnazzar",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[342309] = {
						["source"] = "Chewmungus-Chromaggus",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[43308] = {
						["source"] = "Chewmungus-Chromaggus",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[341427] = {
						["source"] = "Wulffen-Hellfire",
						["event"] = "SPELL_CAST_SUCCESS",
						["npcID"] = 0,
					},
					[24858] = {
						["source"] = "Luckyone",
						["type"] = "BUFF",
						["event"] = "SPELL_AURA_APPLIED",
						["npcID"] = 0,
					},
					[324701] = {
						["source"] = "Kaiki",
						["event"] = "SPELL_CAST_SUCCESS",
						["npcID"] = 0,
					},
					[345696] = {
						["event"] = "SPELL_AURA_APPLIED",
						["type"] = "BUFF",
						["source"] = "Zlokobni",
						["npcID"] = 0,
					},
					[339848] = {
						["event"] = "SPELL_AURA_APPLIED",
						["type"] = "BUFF",
						["source"] = "Unknown",
						["npcID"] = 17252,
					},
				},
				["aura_frame1_anchor"] = {
					["y"] = 2,
				},
				["indicator_rare"] = false,
				["extra_icon_stack_font"] = "Expressway",
				["cast_statusbar_bgtexture"] = "Minimalist",
				["target_indicator"] = "NONE",
				["aura_show_buff_by_the_unit"] = false,
				["saved_cvars"] = {
					["ShowClassColorInNameplate"] = "1",
					["nameplateOverlapV"] = "1.7",
					["nameplateLargeTopInset"] = "-1",
					["nameplateShowEnemyMinus"] = "1",
					["nameplateMotionSpeed"] = "0.05",
					["NamePlateClassificationScale"] = "1",
					["nameplateShowFriendlyTotems"] = "0",
					["nameplateShowEnemyMinions"] = "1",
					["nameplateShowFriendlyPets"] = "0",
					["nameplateShowFriendlyNPCs"] = "1",
					["nameplateSelectedScale"] = "1",
					["nameplateTargetRadialPosition"] = "0",
					["nameplateResourceOnTarget"] = "0",
					["nameplateShowFriends"] = "0",
					["nameplateMinScale"] = "1",
					["nameplateMaxDistance"] = "100",
					["nameplateOtherTopInset"] = "-1",
					["nameplateShowFriendlyMinions"] = "0",
					["nameplateShowAll"] = "1",
					["ShowNamePlateLoseAggroFlash"] = "1",
					["nameplateShowFriendlyGuardians"] = "0",
					["nameplateTargetBehindMaxDistance"] = "30",
					["NamePlateHorizontalScale"] = "1",
					["nameplateShowEnemies"] = "1",
					["nameplatePersonalHideDelaySeconds"] = "0.2",
					["NamePlateVerticalScale"] = "1",
				},
				["login_counter"] = 2015,
				["bossmod_aura_height"] = 30,
				["aura_stack_font"] = "Expressway",
				["hide_friendly_castbars"] = true,
				["OptionsPanelDB"] = {
					["PlaterOptionsPanelFrame"] = {
						["scale"] = 1,
					},
				},
				["auras_per_row_amount"] = 6,
				["target_highlight_texture"] = "Interface\\AddOns\\Plater\\images\\selection_indicator7",
				["plate_config"] = {
					["global_health_height"] = 12,
					["friendlyplayer"] = {
						["spellpercent_text_font"] = "Expressway",
						["level_text_outline"] = "OUTLINE",
						["cast"] = {
							120, -- [1]
							12, -- [2]
						},
						["cast_incombat"] = {
							120, -- [1]
						},
						["spellname_text_outline"] = "OUTLINE",
						["level_text_font"] = "Expressway",
						["spellname_text_font"] = "Expressway",
						["percent_text_font"] = "Expressway",
						["health_incombat"] = {
							120, -- [1]
							12, -- [2]
						},
						["health"] = {
							120, -- [1]
							12, -- [2]
						},
						["actorname_text_font"] = "Expressway",
						["actorname_use_class_color"] = true,
					},
					["friendlynpc"] = {
						["spellpercent_text_font"] = "Expressway",
						["cast"] = {
							120, -- [1]
							12, -- [2]
						},
						["big_actortitle_text_size"] = 9,
						["spellname_text_outline"] = "OUTLINE",
						["level_text_font"] = "Expressway",
						["actorname_text_font"] = "Expressway",
						["all_names"] = false,
						["actorname_text_outline"] = "OUTLINE",
						["big_actortitle_text_font"] = "Expressway",
						["relevance_state"] = 3,
						["spellname_text_font"] = "Expressway",
						["level_text_outline"] = "OUTLINE",
						["percent_text_font"] = "Expressway",
						["health_incombat"] = {
							nil, -- [1]
							12, -- [2]
						},
						["health"] = {
							120, -- [1]
						},
						["big_actorname_text_font"] = "Expressway",
					},
					["global_health_width"] = 120,
					["enemynpc"] = {
						["spellpercent_text_font"] = "Expressway",
						["cast"] = {
							120, -- [1]
							12, -- [2]
						},
						["spellpercent_text_anchor"] = {
							["y"] = 0.2999954223632813,
							["x"] = -1,
						},
						["level_text_font"] = "Expressway",
						["actorname_text_font"] = "Expressway",
						["actorname_text_outline"] = "OUTLINE",
						["actorname_text_spacing"] = 8,
						["big_actortitle_text_font"] = "Expressway",
						["cast_incombat"] = {
							nil, -- [1]
							12, -- [2]
						},
						["spellname_text_anchor"] = {
							["y"] = 0.2999954223632813,
							["x"] = 1,
							["side"] = 10,
						},
						["percent_text_anchor"] = {
							["y"] = 0.5,
							["side"] = 11,
						},
						["spellname_text_font"] = "Expressway",
						["spellpercent_text_size"] = 9,
						["level_text_outline"] = "OUTLINE",
						["actorname_text_anchor"] = {
							["y"] = 0.2999954223632813,
							["x"] = 1,
							["side"] = 10,
						},
						["percent_text_font"] = "Expressway",
						["health_incombat"] = {
							nil, -- [1]
							14, -- [2]
						},
						["health"] = {
							120, -- [1]
							14, -- [2]
						},
						["actorname_text_size"] = 9,
						["big_actorname_text_font"] = "Expressway",
						["percent_show_health"] = false,
						["spellname_text_size"] = 9,
						["level_text_enabled"] = false,
					},
					["enemyplayer"] = {
						["spellpercent_text_font"] = "Expressway",
						["level_text_size"] = 8,
						["cast"] = {
							120, -- [1]
							12, -- [2]
						},
						["spellpercent_text_anchor"] = {
							["y"] = 0.2999954223632813,
							["x"] = -1,
						},
						["spellname_text_outline"] = "OUTLINE",
						["level_text_font"] = "Expressway",
						["actorname_text_font"] = "Expressway",
						["all_names"] = true,
						["actorname_text_outline"] = "OUTLINE",
						["actorname_text_spacing"] = 8,
						["quest_color_enemy"] = {
							1, -- [1]
							0.369, -- [2]
							0, -- [3]
							1, -- [4]
						},
						["big_actortitle_text_font"] = "Expressway",
						["spellpercent_text_size"] = 9,
						["spellname_text_anchor"] = {
							["y"] = 0.2999954223632813,
							["x"] = 1.5,
							["side"] = 10,
						},
						["percent_text_anchor"] = {
							["y"] = 0.5,
							["side"] = 11,
						},
						["spellname_text_font"] = "Expressway",
						["quest_color_neutral"] = {
							1, -- [1]
							0.65, -- [2]
							0, -- [3]
							1, -- [4]
						},
						["big_actorname_text_font"] = "Expressway",
						["big_actortitle_text_size"] = 10,
						["big_actorname_text_size"] = 10,
						["percent_show_health"] = false,
						["level_text_outline"] = "OUTLINE",
						["percent_text_font"] = "Expressway",
						["quest_enabled"] = true,
						["quest_color_enabled"] = true,
						["health_incombat"] = {
							nil, -- [1]
							14, -- [2]
						},
						["health"] = {
							120, -- [1]
							14, -- [2]
						},
						["actorname_text_size"] = 9,
						["actorname_text_anchor"] = {
							["y"] = 0.2999954223632813,
							["x"] = 1,
							["side"] = 10,
						},
						["spellname_text_size"] = 9,
						["level_text_enabled"] = false,
					},
					["player"] = {
						["spellpercent_text_font"] = "Expressway",
						["power_percent_text_font"] = "Expressway",
						["spellname_text_font"] = "Expressway",
					},
				},
				["aura_y_offset"] = 2,
				["cast_statusbar_bgcolor"] = {
					0.05882352941176471, -- [1]
					0.05882352941176471, -- [2]
					0.05882352941176471, -- [3]
					0.800000011920929, -- [4]
				},
				["bossmod_aura_width"] = 30,
				["indicator_scale"] = 1.100000023841858,
				["castbar_icon_size"] = "same as castbar plus healthbar",
				["hook_data"] = {
					{
						["Enabled"] = true,
						["Revision"] = 46,
						["Options"] = {
						},
						["HooksTemp"] = {
							["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    local unitName = UnitName(unitId)\n    \n    -- Show First Name [Whitelist table]\n    local firstName = {}\n    \n    -- Show Full Name [Whitelist table]\n    local fullName = {\n        [3527] = true, -- Healing Stream Totem\n        [2630] = true, -- Earthbind Totem\n        [61245] = true, -- Capacitor Totem\n        [5925] = true, -- Grounding Totem\n        [105451] = true, -- Counterstrike Totem\n        [105427] = true, -- Skyfury Totem\n        [97369] = true, -- Liquid Magma Totem\n    }\n    \n    if (unitName) then\n        local  a ,b, c ,d ,e ,f = strsplit(' ', unitName, 5)\n        \n        if firstName [unitFrame.namePlateNpcId] then\n            unitFrame.healthBar.unitName:SetText(a)\n        elseif fullName[unitFrame.namePlateNpcId] then\n            unitFrame.healthBar.unitName:SetText(unitName)\n        else\n            unitFrame.healthBar.unitName:SetText(f or e or d or c or b or a)\n        end\n    end\nend",
						},
						["Author"] = "Luckyone-Laughing Skull",
						["OptionsValues"] = {
						},
						["Desc"] = "",
						["Hooks"] = {
							["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    local unitName = UnitName(unitId)\n    \n    -- Show First Name [Whitelist table]\n    local firstName = {}\n    \n    -- Show Full Name [Whitelist table]\n    local fullName = {\n        [3527] = true, -- Healing Stream Totem\n        [2630] = true, -- Earthbind Totem\n        [61245] = true, -- Capacitor Totem\n        [5925] = true, -- Grounding Totem\n        [105451] = true, -- Counterstrike Totem\n        [105427] = true, -- Skyfury Totem\n        [97369] = true, -- Liquid Magma Totem\n    }\n    \n    if (unitName) then\n        local  a ,b, c ,d ,e ,f = strsplit(' ', unitName, 5)\n        \n        if firstName [unitFrame.namePlateNpcId] then\n            unitFrame.healthBar.unitName:SetText(a)\n        elseif fullName[unitFrame.namePlateNpcId] then\n            unitFrame.healthBar.unitName:SetText(unitName)\n        else\n            unitFrame.healthBar.unitName:SetText(f or e or d or c or b or a)\n        end\n    end\nend",
						},
						["Prio"] = 1,
						["Name"] = "Custom Name",
						["LoadConditions"] = {
							["talent"] = {
							},
							["group"] = {
							},
							["class"] = {
							},
							["map_ids"] = {
							},
							["role"] = {
							},
							["pvptalent"] = {
							},
							["spec"] = {
							},
							["affix"] = {
							},
							["encounter_ids"] = {
							},
							["race"] = {
							},
						},
						["LastHookEdited"] = "Nameplate Updated",
						["Time"] = 1616700556,
						["Icon"] = "INTERFACE\\ICONS\\Ability_Argus_DeathFog",
						["PlaterCore"] = 1,
					}, -- [1]
					{
						["Enabled"] = true,
						["Revision"] = 37,
						["Options"] = {
						},
						["HooksTemp"] = {
						},
						["Author"] = "Luckyone-Laughing Skull",
						["OptionsValues"] = {
						},
						["Desc"] = "",
						["Hooks"] = {
							["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    local color = envTable.NpcColors [unitFrame.namePlateUnitNameLower] or envTable.NpcColors [unitFrame.namePlateUnitName] or envTable.NpcColors [unitFrame.namePlateNpcId]\n    \n    if (color) then\n        Plater.SetNameplateColor (unitFrame, color)\n    end\n    \nend",
							["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.NpcColors = {\n        -- De Other Side [DOS]\n        [164857] = \"#00fbff\",\n        [167965] = \"#00fbff\",\n        [168934] = \"#00fbff\",\n        [168942] = \"#00fbff\",\n        [169905] = \"#00fbff\",\n        [170572] = \"#00fbff\",\n        [171343] = \"#00fbff\",\n        -- Halls of Atonement [HOA]\n        [164562] = \"#00fbff\",\n        [165529] = \"#00fbff\",\n        [167612] = \"#00fbff\",\n        [167892] = \"#00fbff\",\n        -- Mists of Tirna Scithe [MISTS]\n        [164804] = \"#00fbff\",\n        [164921] = \"#00fbff\",\n        [166299] = \"#00fbff\",\n        [167111] = \"#00fbff\",\n        -- The Necrotic Wake [NW]\n        [163618] = \"#00fbff\",\n        [165824] = \"#00fbff\",\n        [165872] = \"#00fbff\",\n        [166302] = \"#00fbff\",\n        [173016] = \"#00fbff\",\n        -- Plaguefall [PF]\n        [163882] = \"#00fbff\",\n        [163894] = \"#00fbff\",\n        [164737] = \"#00fbff\",\n        [168572] = \"#00fbff\",\n        [168627] = \"#00fbff\",\n        [169861] = \"#00fbff\",\n        -- Sanguine Depths [SD]\n        [162038] = \"#00fbff\",\n        [162040] = \"#00fbff\",\n        [162057] = \"#00fbff\",\n        [171376] = \"#00fbff\",\n        [171799] = \"#00fbff\",\n        -- Spires of Ascension [SOA]\n        [163459] = \"#00fbff\",\n        [163520] = \"#00fbff\",\n        [168318] = \"#00fbff\",\n        [168681] = \"#00fbff\",\n        -- Theater of Pain [TOP]\n        [160495] = \"#00fbff\",\n        [164506] = \"#00fbff\",\n        [170850] = \"#00fbff\",\n        [174210] = \"#00fbff\",\n        -- Others\n    }\n    \nend",
						},
						["Prio"] = 1,
						["Name"] = "Custom Bar Color",
						["LoadConditions"] = {
							["talent"] = {
							},
							["group"] = {
							},
							["class"] = {
							},
							["map_ids"] = {
							},
							["role"] = {
							},
							["pvptalent"] = {
							},
							["spec"] = {
							},
							["affix"] = {
							},
							["encounter_ids"] = {
							},
							["race"] = {
							},
						},
						["LastHookEdited"] = "",
						["Time"] = 1612572888,
						["Icon"] = "INTERFACE\\ICONS\\Ability_Argus_EdgeOfObliteration",
						["PlaterCore"] = 1,
					}, -- [2]
					{
						["Enabled"] = true,
						["Revision"] = 14,
						["Options"] = {
						},
						["HooksTemp"] = {
						},
						["Author"] = "Luckyone-Laughing Skull",
						["OptionsValues"] = {
						},
						["Desc"] = "",
						["Hooks"] = {
							["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable, modTable)\n    envTable.UpdateBorder (unitFrame, false)\nend",
							["Cast Start"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIconPosition (unitFrame)\n    envTable.UpdateBorder (unitFrame, true)\n    \nend",
							["Cast Update"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIconPosition (unitFrame)\n    \nend",
							["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.ShowIcon = Plater.db.profile.castbar_icon_show\n    envTable.IconAnchor = \"left\"\n    envTable.IconSizeOffset = 0\n    \n    envTable.ShowShield = false\n    envTable.ShieldTexture = [[Interface\\GROUPFRAME\\UI-GROUP-MAINTANKICON]]\n    envTable.ShieldDesaturated = true\n    envTable.ShieldColor = {1, 1, 1 ,1}\n    envTable.ShieldSize = {10, 12}\n    \n    function envTable.UpdateIconPosition (unitFrame)\n        local castBar = unitFrame.castBar\n        local icon = castBar.Icon\n        local shield = castBar.BorderShield\n        \n        if (envTable.ShowIcon) then\n            icon:ClearAllPoints()\n            \n            if (envTable.IconAnchor == \"left\") then\n                icon:SetPoint (\"topright\", unitFrame.healthBar, \"topleft\", 0, envTable.IconSizeOffset)\n                icon:SetPoint (\"bottomright\", unitFrame.castBar, \"bottomleft\", 0, 0)    \n                \n            elseif (envTable.IconAnchor == \"right\") then\n                icon:SetPoint (\"topleft\", unitFrame.healthBar, \"topright\", 0, envTable.IconSizeOffset)\n                icon:SetPoint (\"bottomleft\", unitFrame.castBar, \"bottomright\", 0, 0)\n                \n            end\n            \n            icon:SetWidth (icon:GetHeight())\n            icon:Show()\n            \n        else\n            icon:Hide()\n            \n        end\n        \n        if (envTable.ShowShield and not castBar.canInterrupt) then\n            shield:Show()\n            shield:SetAlpha (1)\n            shield:SetTexCoord (0, 1, 0, 1)\n            shield:SetVertexColor (1, 1, 1, 1)\n            \n            shield:SetTexture (envTable.ShieldTexture)\n            shield:SetDesaturated (envTable.ShieldDesaturated)\n            \n            if (not envTable.ShieldDesaturated) then\n                shield:SetVertexColor (DetailsFramework:ParseColors (envTable.ShieldColor))\n            end\n            \n            shield:SetSize (unpack (envTable.ShieldSize))\n            \n            shield:ClearAllPoints()\n            shield:SetPoint (\"center\", castBar, \"left\", 0, 0)\n            \n        else\n            shield:Hide()\n            \n        end\n        \n    end\n    \n    function envTable.UpdateBorder (unitFrame, casting)\n        local healthBar = unitFrame.healthBar\n        local castBar = unitFrame.castBar\n        \n        if casting then\n            if envTable.ShowIcon and castBar.Icon:IsShown() then\n                if envTable.IconAnchor == \"left\" then\n                    healthBar.border:SetPoint(\"TOPLEFT\", castBar.Icon, \"TOPLEFT\", 0, 0)\n                    healthBar.border:SetPoint(\"BOTTOMRIGHT\", castBar, \"BOTTOMRIGHT\", 0, 0)\n                elseif envTable.IconAnchor == \"right\" then\n                    healthBar.border:SetPoint(\"TOPRIGHT\", castBar.Icon, \"TOPRIGHT\", 0, 0)\n                    healthBar.border:SetPoint(\"BOTTOMLEFT\", castBar, \"BOTTOMLEFT\", 0, 0) \n                end\n            else\n                if envTable.IconAnchor == \"left\" then\n                    healthBar.border:SetPoint(\"TOPLEFT\", healthBar, \"TOPLEFT\", 0, 0)\n                    healthBar.border:SetPoint(\"BOTTOMRIGHT\", castBar, \"BOTTOMRIGHT\", 0, 0)\n                elseif envTable.IconAnchor == \"right\" then\n                    healthBar.border:SetPoint(\"TOPRIGHT\", healthBar, \"TOPRIGHT\", 0, 0)\n                    healthBar.border:SetPoint(\"BOTTOMLEFT\", castBar, \"BOTTOMLEFT\", 0, 0) \n                end\n            end\n        else\n            if envTable.IconAnchor == \"left\" then\n                healthBar.border:SetPoint(\"TOPLEFT\", healthBar, \"TOPLEFT\", 0, 0)\n                healthBar.border:SetPoint(\"BOTTOMRIGHT\", healthBar, \"BOTTOMRIGHT\", 0, 0)\n            elseif envTable.IconAnchor == \"right\" then\n                healthBar.border:SetPoint(\"TOPRIGHT\", healthBar, \"TOPRIGHT\", 0, 0)\n                healthBar.border:SetPoint(\"BOTTOMLEFT\", healthBar, \"BOTTOMLEFT\", 0, 0) \n            end\n        end\n    end\n    \n    if not unitFrame.castBar.borderChangeHooked then\n        hooksecurefunc(unitFrame.castBar, \"Hide\", function() envTable.UpdateBorder(unitFrame, false) end)\n        unitFrame.castBar.borderChangeHooked = true\n    end\n    \nend",
						},
						["Prio"] = 1,
						["Name"] = "Custom Castbar",
						["PlaterCore"] = 1,
						["LastHookEdited"] = "Constructor",
						["Time"] = 1613418799,
						["Icon"] = "INTERFACE\\ICONS\\Ability_Argus_SoulBombDebuffLarge",
						["LoadConditions"] = {
							["talent"] = {
							},
							["group"] = {
							},
							["class"] = {
							},
							["map_ids"] = {
							},
							["role"] = {
							},
							["pvptalent"] = {
							},
							["race"] = {
							},
							["affix"] = {
							},
							["encounter_ids"] = {
							},
							["spec"] = {
							},
						},
					}, -- [3]
				},
				["extra_icon_caster_outline"] = "OUTLINE",
				["auras_per_row_amount2"] = 6,
				["aura_width"] = 16,
				["health_statusbar_bgcolor"] = {
					0.05882352941176471, -- [1]
					0.05882352941176471, -- [2]
					0.05882352941176471, -- [3]
					0.800000011920929, -- [4]
				},
				["quick_hide"] = true,
				["target_highlight_color"] = {
					nil, -- [1]
					1, -- [2]
					0.05882352941176471, -- [3]
				},
				["extra_icon_stack_outline"] = "OUTLINE",
				["castbar_target_font"] = "Expressway",
				["aura_x_offset"] = 0,
				["ui_parent_scale_tune"] = 1.299999952316284,
				["health_statusbar_bgtexture"] = "Minimalist",
				["indicator_raidmark_anchor"] = {
					["x"] = 17,
				},
				["aura_show_enrage"] = true,
				["aura_tracker"] = {
					["debuff_banned"] = {
						[342938] = true,
					},
					["buff_tracked"] = {
						[344739] = true,
						[331510] = true,
						[340880] = true,
						[326450] = true,
						[340873] = true,
						[321754] = true,
						[343470] = true,
						[327808] = true,
						[343502] = true,
						[330545] = true,
						[317936] = true,
						[336451] = true,
						[343558] = true,
						[333737] = true,
						[322773] = true,
						[226510] = true,
						[333241] = true,
						[336499] = true,
						[178658] = true,
						[326892] = true,
						[322433] = true,
						[321402] = true,
						[327416] = true,
						[333227] = true,
						[209859] = true,
					},
				},
				["extra_icon_caster_font"] = "Expressway",
				["cast_statusbar_color"] = {
					0.02352941176470588, -- [1]
					1, -- [2]
					nil, -- [3]
					0.9600000008940697, -- [4]
				},
				["update_throttle"] = 0.05000000074505806,
				["aura2_x_offset"] = 0,
				["indicator_extra_raidmark"] = false,
				["indicator_spec"] = false,
				["use_ui_parent"] = true,
				["extra_icon_timer_font"] = "Expressway",
				["indicator_elite"] = false,
				["target_highlight_alpha"] = 1,
				["bossmod_cooldown_text_size"] = 15,
				["health_cutoff_upper"] = false,
				["target_highlight_height"] = 10,
				["health_selection_overlay"] = "Solid",
				["patch_version"] = 13,
				["cast_statusbar_color_interrupted"] = {
					0.3019607843137255, -- [1]
					0.3019607843137255, -- [2]
					0.3019607843137255, -- [3]
				},
				["range_check_in_range_or_target_alpha"] = 1,
				["aura_timer_text_size"] = 10,
				["number_region_first_run"] = true,
				["script_data_trash"] = {
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \n    --check for marks\n    function  envTable.CheckMark (unitId, unitFrame)\n        if (not GetRaidTargetIndex(unitId)) then\n            if (scriptTable.config.onlyInCombat) then\n                if (not UnitAffectingCombat(unitId)) then\n                    return\n                end                \n            end\n            \n            SetRaidTarget(unitId, 8)\n        end       \n    end\nend\n\n\n--163520 - forsworn squad-leader\n--163618 - zolramus necromancer - The Necrotic Wake\n--164506 - anciet captain - theater of pain\n\n\n",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.CheckMark (unitId, unitFrame)\nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.CheckMark (unitId, unitFrame)\nend\n\n\n",
						["Time"] = 1604696441,
						["__TrashAt"] = 1616002253,
						["url"] = "",
						["NpcNames"] = {
							"163520", -- [1]
							"163618", -- [2]
							"164506", -- [3]
						},
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Enabled"] = false,
						["Revision"] = 63,
						["Options"] = {
							{
								["Type"] = 5,
								["Name"] = "Option 1",
								["Value"] = "Auto set a raid target Skull on the unit.",
								["Key"] = "option1",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 6,
								["Name"] = "Option 2",
								["Value"] = 0,
								["Key"] = "option2",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [2]
							{
								["Type"] = 4,
								["Name"] = "Only in Combat",
								["Value"] = false,
								["Key"] = "onlyInCombat",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "Set the mark only if the unit is in combat.",
							}, -- [3]
						},
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \n    --check for marks\n    function  envTable.CheckMark (unitId, unitFrame)\n        if (not GetRaidTargetIndex(unitId)) then\n            if (scriptTable.config.onlyInCombat) then\n                if (not UnitAffectingCombat(unitId)) then\n                    return\n                end                \n            end\n            \n            SetRaidTarget(unitId, 8)\n        end       \n    end\nend\n\n\n--163520 - forsworn squad-leader\n--163618 - zolramus necromancer - The Necrotic Wake\n--164506 - anciet captain - theater of pain\n\n\n",
						["Author"] = "Aelerolor-Torghast",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Auto set skull marker",
						["Name"] = "Auto Set Skull",
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.CheckMark (unitId, unitFrame)\nend\n\n\n",
						["version"] = -1,
						["PlaterCore"] = 1,
						["SpellIds"] = {
						},
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.CheckMark (unitId, unitFrame)\nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["semver"] = "",
						["Icon"] = "Interface\\Worldmap\\GlowSkull_64Grey",
					}, -- [1]
					{
						["ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \n    if (not unitFrame.spitefulTexture) then\n        unitFrame.spitefulTexture = unitFrame.healthBar:CreateTexture(nil, \"overlay\", nil, 6)\n        unitFrame.spitefulTexture:SetPoint('center', 0, 0)\n        unitFrame.spitefulTexture:SetSize(27, 14)\n        unitFrame.spitefulTexture:SetColorTexture(.3, .3, 1, .7)\n        \n        unitFrame.spitefulText = unitFrame.healthBar:CreateFontString(nil, \"overlay\", \"GameFontNormal\", 6)\n        DetailsFramework:SetFontFace (unitFrame.spitefulText, \"2002\")\n        unitFrame.spitefulText:SetPoint(\"center\", unitFrame.spitefulTexture, \"right\", -2, 0)\n        unitFrame.spitefulText:SetJustifyH(\"center\")\n        \n        unitFrame.roleIcon = unitFrame:CreateTexture(nil, \"overlay\")\n        unitFrame.roleIcon:SetPoint(\"left\", unitFrame.healthBar, \"left\", 2, 0)\n        unitFrame.targetName = unitFrame:CreateFontString(nil, \"overlay\", \"GameFontNormal\")\n        unitFrame.targetName:SetPoint(\"left\", unitFrame.roleIcon, \"right\", 2, 0)\n        \n        unitFrame.spitefulTexture:Hide()\n        unitFrame.spitefulText:Hide()\n    end\n    \n    function envTable.UpdateSpitefulWidget(unitFrame)\n        \n        local r, g, b, a = Plater:ParseColors(scriptTable.config.bgColor)\n        unitFrame.spitefulTexture:SetColorTexture(r, g, b, a)\n        unitFrame.spitefulTexture:SetSize(scriptTable.config.bgWidth, unitFrame.healthBar:GetHeight())   \n        Plater:SetFontSize(unitFrame.spitefulText, scriptTable.config.textSize)\n        Plater:SetFontColor(unitFrame.spitefulText, scriptTable.config.textColor)\n        \n        local currentHealth = unitFrame.healthBar.CurrentHealth\n        local maxHealth = unitFrame.healthBar.CurrentHealthMax\n        \n        local healthPercent = currentHealth / maxHealth * 100\n        local timeToDie = format(\"%.1fs\", healthPercent / 8)\n        unitFrame.spitefulText:SetText(timeToDie)\n        \n        unitFrame.spitefulText:Show()\n        unitFrame.spitefulTexture:Show()\n        \n        if scriptTable.config.switchTargetName then\n            local plateFrame = unitFrame.PlateFrame\n            \n            local target = UnitName(unitFrame.namePlateUnitToken .. \"target\") or UnitName(unitFrame.namePlateUnitToken)\n            \n            if (target and target ~= \"\") then\n                local _, class = UnitClass(unitFrame.namePlateUnitToken .. \"target\")\n                if (class) then\n                    target = DetailsFramework:AddClassColorToText(target, class)\n                end\n                \n                local role = UnitGroupRolesAssigned(unitFrame.namePlateUnitToken .. \"target\")\n                if (role and role ~= \"NONE\") then\n                    target = DetailsFramework:AddRoleIconToText(target, role)\n                end\n                \n                plateFrame.namePlateUnitName = target\n                Plater.UpdateUnitName(plateFrame)\n            end\n        end\n        \n        if scriptTable.config.useTargetingColor then\n            local targeted = UnitIsUnit(unitFrame.namePlateUnitToken .. \"target\", \"player\")\n            if targeted then\n                Plater.SetNameplateColor (unitFrame, scriptTable.config.targetingColor)\n            else\n                Plater.RefreshNameplateColor(unitFrame)\n            end\n        end\n    end\nend",
						["OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    if (unitFrame.spitefulTexture) then\n        unitFrame.spitefulText:Hide()\n        unitFrame.spitefulTexture:Hide()    \n        unitFrame.roleIcon:Hide()\n        unitFrame.targetName:Hide()\n    end\nend\n\n\n\n\n\n",
						["OptionsValues"] = {
						},
						["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.UpdateSpitefulWidget(unitFrame)\nend\n\n\n",
						["ScriptType"] = 3,
						["UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.UpdateSpitefulWidget(unitFrame)\nend\n\n\n",
						["Time"] = 1616002224,
						["__TrashAt"] = 1616002286,
						["Temp_Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["url"] = "",
						["Icon"] = 135945,
						["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    \n    if (not unitFrame.spitefulTexture) then\n        unitFrame.spitefulTexture = unitFrame.healthBar:CreateTexture(nil, \"overlay\", nil, 6)\n        unitFrame.spitefulTexture:SetPoint('center', 0, 0)\n        unitFrame.spitefulTexture:SetSize(27, 14)\n        unitFrame.spitefulTexture:SetColorTexture(.3, .3, 1, .7)\n        \n        unitFrame.spitefulText = unitFrame.healthBar:CreateFontString(nil, \"overlay\", \"GameFontNormal\", 6)\n        DetailsFramework:SetFontFace (unitFrame.spitefulText, \"2002\")\n        unitFrame.spitefulText:SetPoint(\"center\", unitFrame.spitefulTexture, \"right\", -2, 0)\n        unitFrame.spitefulText:SetJustifyH(\"center\")\n        \n        unitFrame.roleIcon = unitFrame:CreateTexture(nil, \"overlay\")\n        unitFrame.roleIcon:SetPoint(\"left\", unitFrame.healthBar, \"left\", 2, 0)\n        unitFrame.targetName = unitFrame:CreateFontString(nil, \"overlay\", \"GameFontNormal\")\n        unitFrame.targetName:SetPoint(\"left\", unitFrame.roleIcon, \"right\", 2, 0)\n        \n        unitFrame.spitefulTexture:Hide()\n        unitFrame.spitefulText:Hide()\n    end\n    \n    function envTable.UpdateSpitefulWidget(unitFrame)\n        \n        local r, g, b, a = Plater:ParseColors(scriptTable.config.bgColor)\n        unitFrame.spitefulTexture:SetColorTexture(r, g, b, a)\n        unitFrame.spitefulTexture:SetSize(scriptTable.config.bgWidth, unitFrame.healthBar:GetHeight())   \n        Plater:SetFontSize(unitFrame.spitefulText, scriptTable.config.textSize)\n        Plater:SetFontColor(unitFrame.spitefulText, scriptTable.config.textColor)\n        \n        local currentHealth = unitFrame.healthBar.CurrentHealth\n        local maxHealth = unitFrame.healthBar.CurrentHealthMax\n        \n        local healthPercent = currentHealth / maxHealth * 100\n        local timeToDie = format(\"%.1fs\", healthPercent / 8)\n        unitFrame.spitefulText:SetText(timeToDie)\n        \n        unitFrame.spitefulText:Show()\n        unitFrame.spitefulTexture:Show()\n        \n        if scriptTable.config.switchTargetName then\n            local plateFrame = unitFrame.PlateFrame\n            \n            local target = UnitName(unitFrame.namePlateUnitToken .. \"target\") or UnitName(unitFrame.namePlateUnitToken)\n            \n            if (target and target ~= \"\") then\n                local _, class = UnitClass(unitFrame.namePlateUnitToken .. \"target\")\n                if (class) then\n                    target = DetailsFramework:AddClassColorToText(target, class)\n                end\n                \n                local role = UnitGroupRolesAssigned(unitFrame.namePlateUnitToken .. \"target\")\n                if (role and role ~= \"NONE\") then\n                    target = DetailsFramework:AddRoleIconToText(target, role)\n                end\n                \n                plateFrame.namePlateUnitName = target\n                Plater.UpdateUnitName(plateFrame)\n            end\n        end\n        \n        if scriptTable.config.useTargetingColor then\n            local targeted = UnitIsUnit(unitFrame.namePlateUnitToken .. \"target\", \"player\")\n            if targeted then\n                Plater.SetNameplateColor (unitFrame, scriptTable.config.targetingColor)\n            else\n                Plater.RefreshNameplateColor(unitFrame)\n            end\n        end\n    end\nend",
						["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    if (unitFrame.spitefulTexture) then\n        unitFrame.spitefulText:Hide()\n        unitFrame.spitefulTexture:Hide()    \n        unitFrame.roleIcon:Hide()\n        unitFrame.targetName:Hide()\n    end\nend\n\n\n\n\n\n",
						["Revision"] = 199,
						["Options"] = {
							{
								["Type"] = 5,
								["Name"] = "Time to Die",
								["Value"] = "Time to Die",
								["Key"] = "option12",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [1]
							{
								["Type"] = 2,
								["Max"] = 50,
								["Desc"] = "",
								["Min"] = 10,
								["Fraction"] = false,
								["Value"] = 27,
								["Name"] = "Width",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Key"] = "bgWidth",
							}, -- [2]
							{
								["Type"] = 1,
								["Name"] = "Background Color",
								["Value"] = {
									0.5058823529411764, -- [1]
									0.07058823529411765, -- [2]
									1, -- [3]
									1, -- [4]
								},
								["Key"] = "bgColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [3]
							{
								["Type"] = 2,
								["Max"] = 24,
								["Desc"] = "",
								["Min"] = 7,
								["Fraction"] = false,
								["Value"] = 8,
								["Name"] = "Text Size",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
								["Key"] = "textSize",
							}, -- [4]
							{
								["Type"] = 1,
								["Name"] = "Text Color",
								["Value"] = {
									1, -- [1]
									0.5843137254901961, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Key"] = "textColor",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [5]
							{
								["Type"] = 6,
								["Key"] = "option7",
								["Value"] = 0,
								["Name"] = "Option 7",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [6]
							{
								["Type"] = 5,
								["Name"] = "Targeting",
								["Value"] = "Targeting",
								["Key"] = "option11",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
								["Desc"] = "",
							}, -- [7]
							{
								["Type"] = 4,
								["Key"] = "switchTargetName",
								["Value"] = true,
								["Name"] = "Show Target instead of Name",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "",
							}, -- [8]
							{
								["Type"] = 4,
								["Key"] = "useTargetingColor",
								["Value"] = true,
								["Name"] = "Change Color if targeting You",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
								["Desc"] = "",
							}, -- [9]
							{
								["Type"] = 1,
								["Key"] = "targetingColor",
								["Value"] = {
									0.07058823529411765, -- [1]
									0.6196078431372549, -- [2]
									0, -- [3]
									1, -- [4]
								},
								["Name"] = "Color if targeting You",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
								["Desc"] = "",
							}, -- [10]
							{
								["Type"] = 6,
								["Name"] = "Option 11",
								["Value"] = 0,
								["Key"] = "option11",
								["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
								["Desc"] = "",
							}, -- [11]
						},
						["NpcNames"] = {
							"174773", -- [1]
						},
						["Prio"] = 99,
						["Author"] = "Symantec-Azralon",
						["Initialization"] = "function (scriptTable)\n    --insert code here\n    \nend\n\n\n",
						["Desc"] = "Time to die Spiteful affix",
						["version"] = -1,
						["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.UpdateSpitefulWidget(unitFrame)\nend\n\n\n",
						["SpellIds"] = {
						},
						["PlaterCore"] = 1,
						["Name"] = "M+ Spiteful",
						["OnShowCode"] = "function (self, unitId, unitFrame, envTable, scriptTable)\n    --insert code here\n    envTable.UpdateSpitefulWidget(unitFrame)\nend\n\n\n",
						["semver"] = "",
						["Enabled"] = true,
					}, -- [2]
				},
				["extra_icon_timer_outline"] = "OUTLINE",
				["castbar_target_anchor"] = {
					["side"] = 4,
				},
				["script_auto_imported"] = {
					["Unit - Important"] = 11,
					["Aura - Buff Alert"] = 13,
					["Cast - Very Important"] = 11,
					["Explosion Affix M+"] = 11,
					["Aura - Debuff Alert"] = 11,
					["Cast - Ultra Important"] = 11,
					["Cast - Big Alert"] = 11,
					["Cast - Small Alert"] = 11,
					["Auto Set Skull"] = 11,
					["Unit - Main Target"] = 11,
					["Aura - Blink Time Left"] = 12,
					["Countdown"] = 11,
					["Unit - Health Markers"] = 12,
					["Cast - Frontal Cone"] = 11,
					["Fixate"] = 11,
					["Cast - Tank Interrupt"] = 11,
					["Fixate On You"] = 11,
					["Spiteful Affix"] = 3,
					["Unit - Show Energy"] = 11,
				},
				["cast_statusbar_texture"] = "Minimalist",
				["indicator_faction"] = false,
				["first_run3"] = true,
				["indicator_pet"] = false,
				["aura_timer_text_font"] = "Expressway",
				["cast_statusbar_use_fade_effects"] = false,
			},
		},
	}

end
